;; c99-tab.scm

;; Copyright (C) 2016-2020 Matthew R. Wette
;; 
;; This library is free software; you can redistribute it and/or
;; modify it under the terms of the GNU Lesser General Public
;; License as published by the Free Software Foundation; either
;; version 3 of the License, or (at your option) any later version.
;; See the file COPYING included with the this distribution.

(define c99-mtab
  '(($start . 243) ($pragma . 3) (cpp-stmt . 4) ($lone-comm . 5) ($code-comm 
    . 6) ($chlit/U . 7) ($chlit/u . 8) ($chlit/L . 9) ($chlit . 10) ($float . 
    11) ($ident . 12) ($string . 13) ("__goto__" . 14) ("__volatile__" . 15) 
    ("__asm__" . 16) ("return" . 17) ("break" . 18) ("continue" . 19) ("goto" 
    . 20) ("for" . 21) ("do" . 22) ("while" . 23) ("switch" . 24) ("else" . 25
    ) (then . 26) ("if" . 27) ("default" . 28) ("case" . 29) (typename . 30) 
    ("..." . 31) ($fixed . 32) ("__alignof__" . 33) ("__aligned__" . 34) 
    ("__packed__" . 35) ("__attribute__" . 36) ("_Noreturn" . 37) ("inline" . 
    38) ("restrict" . 39) ("volatile" . 40) ("const" . 41) ("enum" . 42) 
    ("union" . 43) ("struct" . 44) ("_Sat" . 45) ("_Accum" . 46) ("_Fract" . 
    47) ("_Complex" . 48) ("double" . 49) ("float" . 50) ("char" . 51) 
    ("unsigned" . 52) ("long" . 53) ("signed" . 54) ("int" . 55) (imp . 56) 
    ("short" . 57) ("__typeof__" . 58) ("__typeof" . 59) ("typeof" . 60) 
    ("_Bool" . 61) ("void" . 62) ("typedef" . 63) ("static" . 64) ("register" 
    . 65) ("extern" . 66) ("auto" . 67) (reduce-on-semi . 68) (reduce-on-attr 
    . 69) (shift-on-attr . 70) (";" . 71) ("|=" . 72) ("^=" . 73) ("&=" . 74) 
    (">>=" . 75) ("<<=" . 76) ("%=" . 77) ("/=" . 78) ("*=" . 79) ("-=" . 80) 
    ("+=" . 81) ("=" . 82) (":" . 83) ("?" . 84) ("||" . 85) ("&&" . 86) 
    ("|" . 87) ("^" . 88) ("!=" . 89) ("==" . 90) (">=" . 91) ("<=" . 92) 
    (">" . 93) ("<" . 94) (">>" . 95) ("<<" . 96) ("%" . 97) ("/" . 98) 
    ("!" . 99) ("~" . 100) ("-" . 101) ("+" . 102) ("*" . 103) ("&" . 104) 
    ("sizeof" . 105) ("," . 106) ("--" . 107) ("++" . 108) ("->" . 109) 
    ("." . 110) ("]" . 111) ("[" . 112) ("}" . 113) ("{" . 114) (")" . 115) 
    ("(" . 116) ($error . 2) ($end . 118)))

(define c99-ntab
  '((119 . string-literal-1) (120 . $P6) (121 . $P5) (122 . 
    function-definition) (123 . external-declaration) (124 . 
    external-declaration-list) (125 . asm-gotos-1) (126 . asm-clobbers-1) 
    (127 . asm-input) (128 . asm-inputs-1) (129 . asm-output) (130 . 
    asm-outputs-1) (131 . asm-gotos) (132 . asm-clobbers) (133 . asm-inputs) 
    (134 . asm-outputs) (135 . opt-asm-qualifiers) (136 . opt-expression) 
    (137 . initial-clause) (138 . declaration) (139 . block-item) (140 . $P4) 
    (141 . $P3) (142 . statement) (143 . cpp-statement) (144 . pragma) 
    (145 . asm-statement) (146 . jump-statement) (147 . iteration-statement) 
    (148 . selection-statement) (149 . expression-statement) (150 . 
    compound-statement) (151 . labeled-statement) (152 . designator) (153 . 
    designator-list) (154 . designation) (155 . direct-abstract-declarator) 
    (156 . specifier-qualifier-list/no-attr) (157 . identifier-list-1) 
    (158 . parameter-declaration) (159 . parameter-list) (160 . 
    type-qualifier-list-1) (161 . identifier-list) (162 . parameter-type-list)
    (163 . type-qualifier-list) (164 . direct-declarator) (165 . pointer) 
    (166 . asm-expression) (167 . initializer) (168 . init-declarator-1) 
    (169 . init-declarator) (170 . init-declarator-list-1) (171 . 
    attribute-expr) (172 . attr-expr-list-1) (173 . attr-expr-list) (174 . 
    attr-word) (175 . attribute) (176 . attribute-list-1) (177 . attr-name) 
    (178 . attribute-list) (179 . enumerator) (180 . enumerator-list) (181 . 
    constant-expression) (182 . declarator) (183 . struct-declarator-1) 
    (184 . struct-declarator) (185 . specifier-qualifier-list/no-attr-1) 
    (186 . specifier-qualifier-list-1) (187 . struct-declarator-list) (188 . 
    specifier-qualifier-list) (189 . struct-declaration-no-comment) (190 . 
    lone-comment) (191 . struct-declaration) (192 . attribute-specifiers) 
    (193 . struct-declaration-list) (194 . ident-like) (195 . opt-attr-specs) 
    (196 . typedef-name) (197 . enum-specifier) (198 . 
    struct-or-union-specifier) (199 . complex-type-specifier) (200 . 
    fixpt-type-specifier) (201 . float-type-specifier) (202 . 
    fixed-type-specifier) (203 . attribute-specifier) (204 . 
    function-specifier) (205 . type-qualifier) (206 . type-specifier) (207 . 
    storage-class-specifier) (208 . declaration-specifiers-1) (209 . 
    init-declarator-list) (210 . code-comment) (211 . declaration-no-comment) 
    (212 . assignment-operator) (213 . conditional-expression) (214 . 
    logical-or-expression) (215 . logical-and-expression) (216 . 
    bitwise-or-expression) (217 . bitwise-xor-expression) (218 . 
    bitwise-and-expression) (219 . equality-expression) (220 . 
    relational-expression) (221 . shift-expression) (222 . additive-expression
    ) (223 . multiplicative-expression) (224 . cast-expression) (225 . 
    unary-operator) (226 . unary-expression) (227 . abstract-declarator) 
    (228 . declaration-specifiers) (229 . arg-expr-hack) (230 . 
    assignment-expression) (231 . initializer-list) (232 . type-name) (233 . 
    argument-expression-list) (234 . postfix-expression) (235 . 
    primary-expression) (236 . $P2) (237 . block-item-list) (238 . $P1) 
    (239 . expression) (240 . string-literal) (241 . constant) (242 . 
    identifier) (243 . translation-unit)))

(define c99-len-v
  #(1 1 1 1 3 7 0 0 1 4 4 3 3 3 2 2 6 7 1 3 1 3 2 1 1 2 2 2 2 4 1 1 1 1 1 1 1
    4 1 3 3 3 1 3 3 1 3 3 1 3 3 3 3 1 3 3 1 3 1 3 1 3 1 3 1 3 1 5 1 3 1 1 1 1 
    1 1 1 1 1 1 1 1 3 1 2 3 2 1 1 1 2 1 2 1 2 1 2 1 2 1 1 1 1 1 1 1 1 1 1 1 1 
    1 1 4 4 4 4 4 4 1 2 2 3 1 1 2 1 2 2 3 2 3 3 4 3 2 2 1 3 2 4 3 1 2 2 1 1 2 
    1 2 2 3 2 1 2 3 2 3 3 2 3 2 1 2 3 2 3 3 2 3 3 2 3 4 3 4 4 3 4 3 2 3 4 3 4 
    4 3 4 6 5 3 6 5 3 1 1 0 1 1 1 2 2 1 2 2 3 2 1 1 1 2 1 2 1 2 1 1 2 1 2 1 3 
    4 1 1 2 3 2 5 6 4 5 2 1 3 1 2 3 4 1 1 1 1 1 1 2 6 1 1 1 1 1 1 3 2 1 4 1 1 
    1 1 1 3 1 1 1 1 4 1 1 3 4 1 1 3 2 4 2 4 3 2 1 3 2 3 2 2 1 1 3 4 5 4 4 3 6 
    6 5 4 4 4 3 1 1 2 1 3 1 3 2 2 1 3 1 1 3 2 1 2 1 1 3 4 3 5 4 4 3 6 5 6 4 3 
    2 4 3 3 2 5 4 5 3 1 1 3 4 2 1 4 3 2 1 2 3 2 1 1 1 1 1 1 1 1 1 3 4 4 3 5 2 
    0 0 1 2 1 1 2 1 5 7 5 5 7 8 2 1 1 0 1 3 2 2 3 2 2 5 6 7 8 9 0 1 1 1 1 1 1 
    2 3 4 7 1 1 2 3 4 7 1 1 2 3 1 1 2 3 1 0 2 1 1 1 1 1 7 1 0 0 3 1 1 1 1 1 1 
    1 1 1 2 1 1 1 1))

(define c99-rto-v
  #(#f 235 235 235 235 235 238 236 234 234 234 234 234 234 234 234 234 234 
    233 233 233 233 229 229 226 226 226 226 226 226 225 225 225 225 225 225 
    224 224 223 223 223 223 222 222 222 221 221 221 220 220 220 220 220 219 
    219 219 218 218 217 217 216 216 215 215 214 214 213 213 230 230 212 212 
    212 212 212 212 212 212 212 212 212 239 239 181 138 138 211 211 228 208 
    208 208 208 208 208 208 208 208 208 207 207 207 207 207 206 206 206 206 
    206 206 206 206 206 206 206 206 206 206 206 202 202 202 202 202 202 202 
    202 202 202 202 202 202 202 202 202 202 202 202 202 202 202 202 202 202 
    202 201 201 201 199 199 199 199 200 200 200 200 200 200 200 200 200 200 
    200 200 200 200 200 200 200 200 200 200 200 200 200 200 200 200 200 200 
    200 200 200 200 200 200 200 200 198 198 198 198 198 198 194 194 195 195 
    193 193 193 193 193 193 191 191 189 189 188 186 186 186 186 186 186 156 
    185 185 185 185 187 187 187 184 183 183 183 183 197 197 197 197 197 180 
    180 179 179 179 179 205 205 205 204 204 192 192 203 203 177 177 177 178 
    176 176 176 175 175 175 174 174 173 172 172 171 171 171 171 171 209 170 
    170 170 169 168 168 168 168 168 168 168 182 182 165 165 165 165 165 165 
    164 164 164 164 164 164 164 164 164 164 164 164 164 164 163 160 160 162 
    162 159 159 158 158 158 158 161 157 157 232 232 227 227 227 155 155 155 
    155 155 155 155 155 155 155 155 155 155 155 155 155 155 155 155 155 155 
    196 167 167 167 231 231 231 231 154 153 153 152 152 142 142 142 142 142 
    142 142 142 142 151 151 151 151 150 150 141 140 237 237 139 139 149 149 
    148 148 148 147 147 147 137 137 137 136 136 146 146 146 146 146 145 166 
    166 166 166 166 135 135 135 135 135 134 130 130 130 129 129 133 128 128 
    128 127 127 132 126 126 126 131 125 125 125 243 124 124 123 123 123 123 
    123 123 123 121 120 122 242 241 241 241 241 241 241 240 119 119 210 190 
    143 144))

(define c99-pat-v
  #(((124 . 1) (243 . 2) (5 . -426) (4 . -426) (3 . -426) (1 . -426)) 
    ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) 
    (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) 
    (53 . 18) (55 . 19) (54 . 20) (57 . 21) (177 . 22) (36 . 23) (37 . 24) 
    (38 . 25) (39 . 26) (40 . 27) (41 . 28) (58 . 29) (59 . 30) (60 . 31) 
    (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) (200 . 37) (201 . 38
    ) (202 . 39) (62 . 40) (63 . 41) (64 . 42) (65 . 43) (67 . 44) (203 . 45) 
    (204 . 46) (205 . 47) (206 . 48) (207 . 49) (208 . 50) (3 . 51) (4 . 52) 
    (5 . 53) (228 . 54) (211 . 55) (71 . 56) (66 . 57) (144 . 58) (143 . 59) 
    (190 . 60) (138 . 61) (122 . 62) (123 . 63) (118 . -425)) ((118 . 0)) 
    ((1 . -342)) ((4 . -250) (3 . -250) (1 . -250)) ((4 . -249) (3 . -249) 
    (1 . -249)) ((4 . -248) (3 . -248) (1 . -248)) ((114 . 119) (12 . 66) 
    (30 . 3) (196 . 120) (242 . 121) (194 . 122)) ((33 . 4) (34 . 5) (35 . 6) 
    (177 . 22) (36 . 23) (203 . 115) (192 . 116) (195 . 118) (1 . -196)) 
    ((33 . 4) (34 . 5) (35 . 6) (177 . 22) (36 . 23) (203 . 115) (192 . 116) 
    (195 . 117) (1 . -196)) ((47 . 109) (57 . 110) (46 . 111) (53 . 112) 
    (54 . 113) (52 . 114)) ((1 . -162)) ((1 . -153)) ((1 . -148)) ((48 . 108) 
    (1 . -146)) ((48 . 107) (1 . -145)) ((1 . -142)) ((55 . 101) (51 . 102) 
    (47 . 103) (57 . 104) (46 . 105) (53 . 106) (1 . -137)) ((55 . 96) 
    (53 . 97) (49 . 98) (47 . 99) (46 . 100) (1 . -126)) ((1 . -123)) (
    (55 . 90) (51 . 91) (47 . 92) (57 . 93) (46 . 94) (53 . 95) (1 . -124)) 
    ((55 . 87) (47 . 88) (46 . 89) (1 . -119)) ((3 . -247) (4 . -247) (1 . 
    -247)) ((116 . 86)) ((1 . -243)) ((1 . -242)) ((1 . -241)) ((1 . -240)) 
    ((1 . -239)) ((116 . 85)) ((116 . 84)) ((116 . 83)) ((1 . -112)) ((1 . 
    -111)) ((1 . -110)) ((1 . -109)) ((1 . -108)) ((1 . -107)) ((1 . -106)) 
    ((1 . -105)) ((1 . -104)) ((1 . -103)) ((1 . -102)) ((1 . -101)) ((1 . -99
    )) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) 
    (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) 
    (52 . 17) (53 . 18) (55 . 19) (54 . 20) (57 . 21) (177 . 22) (36 . 23) 
    (37 . 24) (38 . 25) (39 . 26) (40 . 27) (41 . 28) (58 . 29) (59 . 30) 
    (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) (200 . 37)
    (201 . 38) (202 . 39) (62 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 77) 
    (67 . 44) (203 . 45) (204 . 46) (205 . 47) (206 . 48) (207 . 49) (208 . 82
    ) (1 . -97)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) 
    (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) 
    (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) (57 . 21) (177 . 22) 
    (36 . 23) (37 . 24) (38 . 25) (39 . 26) (40 . 27) (41 . 28) (58 . 29) 
    (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) 
    (200 . 37) (201 . 38) (202 . 39) (62 . 40) (63 . 41) (64 . 42) (65 . 43) 
    (66 . 77) (67 . 44) (203 . 45) (204 . 46) (205 . 47) (206 . 48) (207 . 49)
    (208 . 81) (1 . -95)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) 
    (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) 
    (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) (57 . 21) 
    (177 . 22) (36 . 23) (37 . 24) (38 . 25) (39 . 26) (40 . 27) (41 . 28) 
    (58 . 29) (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) 
    (61 . 36) (200 . 37) (201 . 38) (202 . 39) (62 . 40) (63 . 41) (64 . 42) 
    (65 . 43) (66 . 77) (67 . 44) (203 . 45) (204 . 46) (205 . 47) (206 . 48) 
    (207 . 49) (208 . 80) (1 . -93)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) 
    (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) 
    (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) 
    (57 . 21) (177 . 22) (36 . 23) (37 . 24) (38 . 25) (39 . 26) (40 . 27) 
    (41 . 28) (58 . 29) (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) 
    (199 . 35) (61 . 36) (200 . 37) (201 . 38) (202 . 39) (62 . 40) (63 . 41) 
    (64 . 42) (65 . 43) (66 . 77) (67 . 44) (203 . 45) (204 . 46) (205 . 47) 
    (206 . 48) (207 . 49) (208 . 79) (1 . -91)) ((30 . 3) (33 . 4) (34 . 5) 
    (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13
    ) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) 
    (57 . 21) (177 . 22) (36 . 23) (37 . 24) (38 . 25) (39 . 26) (40 . 27) 
    (41 . 28) (58 . 29) (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) 
    (199 . 35) (61 . 36) (200 . 37) (201 . 38) (202 . 39) (62 . 40) (63 . 41) 
    (64 . 42) (65 . 43) (66 . 77) (67 . 44) (203 . 45) (204 . 46) (205 . 47) 
    (206 . 48) (207 . 49) (208 . 78) (1 . -89)) ((1 . -88)) ((4 . -451) 
    (3 . -451) (5 . -451) (1 . -451)) ((4 . -450) (3 . -450) (5 . -450) 
    (1 . -450)) ((5 . -449) (4 . -449) (3 . -449) (1 . -449)) ((12 . 66) 
    (116 . 67) (242 . 68) (103 . 69) (164 . 70) (165 . 71) (182 . 72) (168 . 
    73) (169 . 74) (170 . 75) (209 . 76) (71 . -87)) ((71 . 65)) ((5 . -434) 
    (4 . -434) (3 . -434) (1 . -434)) ((13 . 64) (1 . -100)) ((5 . -432) 
    (4 . -432) (3 . -432) (1 . -432)) ((5 . -431) (4 . -431) (3 . -431) 
    (1 . -431)) ((5 . -430) (4 . -430) (3 . -430) (1 . -430)) ((5 . -429) 
    (4 . -429) (3 . -429) (1 . -429)) ((5 . -428) (4 . -428) (3 . -428) 
    (1 . -428)) ((5 . -427) (4 . -427) (3 . -427) (1 . -427)) ((114 . 215)) 
    ((6 . 213) (210 . 214) (3 . -84) (4 . -84) (5 . -84) (1 . -84)) ((1 . -438
    )) ((12 . 66) (116 . 67) (242 . 68) (103 . 69) (164 . 70) (165 . 71) 
    (182 . 211) (33 . 4) (34 . 5) (35 . 6) (177 . 22) (36 . 23) (203 . 212)) 
    ((1 . -288)) ((39 . 26) (40 . 27) (41 . 28) (205 . 206) (160 . 207) 
    (163 . 208) (33 . 4) (34 . 5) (35 . 6) (177 . 22) (36 . 23) (203 . 115) 
    (192 . 209) (103 . 69) (165 . 210) (1 . -287)) ((112 . 204) (116 . 205) 
    (1 . -281)) ((12 . 66) (116 . 67) (242 . 68) (164 . 203)) ((82 . 197) 
    (33 . 4) (34 . 5) (35 . 6) (177 . 22) (36 . 23) (203 . 115) (192 . 198) 
    (16 . 199) (166 . 200) (114 . 201) (150 . 202) (106 . -273) (71 . -273)) 
    ((106 . -272) (71 . -272)) ((106 . -269) (71 . -269)) ((106 . 196) 
    (71 . -268)) ((71 . -86)) ((1 . -100)) ((1 . -90)) ((1 . -92)) ((1 . -94))
    ((1 . -96)) ((1 . -98)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) 
    (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) 
    (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) (57 . 21) 
    (177 . 22) (36 . 23) (37 . 24) (38 . 25) (39 . 26) (40 . 27) (41 . 28) 
    (58 . 29) (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) 
    (61 . 36) (200 . 37) (201 . 38) (202 . 39) (62 . 40) (63 . 41) (64 . 42) 
    (65 . 43) (66 . 77) (67 . 44) (203 . 45) (204 . 46) (205 . 161) (206 . 162
    ) (207 . 49) (185 . 163) (208 . 50) (228 . 164) (156 . 165) (232 . 194) 
    (13 . 167) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173)
    (32 . 174) (12 . 66) (240 . 175) (241 . 176) (242 . 177) (99 . 178) 
    (100 . 179) (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 184) 
    (235 . 185) (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) 
    (226 . 195)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) 
    (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) 
    (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) (57 . 21) (177 . 22) 
    (36 . 23) (37 . 24) (38 . 25) (39 . 26) (40 . 27) (41 . 28) (58 . 29) 
    (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) 
    (200 . 37) (201 . 38) (202 . 39) (62 . 40) (63 . 41) (64 . 42) (65 . 43) 
    (66 . 77) (67 . 44) (203 . 45) (204 . 46) (205 . 161) (206 . 162) (207 . 
    49) (185 . 163) (208 . 50) (228 . 164) (156 . 165) (232 . 192) (13 . 167) 
    (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 66) (240 . 175) (241 . 176) (242 . 177) (99 . 178) (100 . 179) 
    (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 184) (235 . 185) 
    (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 193)) 
    ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) 
    (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) 
    (53 . 18) (55 . 19) (54 . 20) (57 . 21) (177 . 22) (36 . 23) (37 . 24) 
    (38 . 25) (39 . 26) (40 . 27) (41 . 28) (58 . 29) (59 . 30) (60 . 31) 
    (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) (200 . 37) (201 . 38
    ) (202 . 39) (62 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 77) (67 . 44) 
    (203 . 45) (204 . 46) (205 . 161) (206 . 162) (207 . 49) (185 . 163) 
    (208 . 50) (228 . 164) (156 . 165) (232 . 166) (13 . 167) (119 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) 
    (240 . 175) (241 . 176) (242 . 177) (99 . 178) (100 . 179) (101 . 180) 
    (102 . 181) (103 . 182) (104 . 183) (116 . 184) (235 . 185) (105 . 186) 
    (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 191)) ((116 . 160))
    ((1 . -120)) ((1 . -152)) ((1 . -161)) ((1 . -125)) ((1 . -143)) ((1 . 
    -156)) ((46 . 157) (47 . 158) (55 . 159) (1 . -121)) ((1 . -165)) (
    (46 . 153) (47 . 154) (53 . 155) (55 . 156) (1 . -128)) ((1 . -127)) 
    ((55 . 152) (1 . -130)) ((48 . 151) (1 . -147)) ((1 . -154)) ((1 . -163)) 
    ((1 . -136)) ((1 . -144)) ((1 . -159)) ((46 . 148) (47 . 149) (55 . 150) 
    (1 . -135)) ((1 . -168)) ((46 . 144) (47 . 145) (53 . 146) (55 . 147) 
    (1 . -139)) ((1 . -149)) ((1 . -150)) ((1 . -171)) ((46 . 142) (47 . 143))
    ((1 . -180)) ((46 . 140) (47 . 141)) ((46 . 136) (53 . 137) (47 . 138) 
    (57 . 139)) ((46 . 132) (53 . 133) (47 . 134) (57 . 135)) ((1 . -244)) 
    ((33 . 4) (34 . 5) (35 . 6) (177 . 22) (36 . 23) (203 . 131) (1 . -197)) 
    ((114 . 129) (12 . 66) (30 . 3) (196 . 120) (242 . 121) (194 . 130)) 
    ((114 . 127) (12 . 66) (30 . 3) (196 . 120) (242 . 121) (194 . 128)) 
    ((12 . 66) (242 . 124) (179 . 125) (180 . 126)) ((1 . -195)) ((1 . -194)) 
    ((114 . 123) (1 . -232)) ((12 . 66) (242 . 124) (179 . 125) (180 . 329)) 
    ((82 . 327) (33 . 4) (34 . 5) (35 . 6) (177 . 22) (36 . 23) (203 . 115) 
    (192 . 328) (113 . -235) (106 . -235)) ((113 . -233) (106 . -233)) 
    ((113 . 325) (106 . 326)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) 
    (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) 
    (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) (57 . 21) 
    (177 . 22) (36 . 23) (39 . 26) (40 . 27) (41 . 28) (58 . 29) (59 . 30) 
    (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) (200 . 37)
    (201 . 38) (202 . 39) (62 . 40) (203 . 313) (205 . 314) (206 . 315) 
    (186 . 316) (188 . 317) (5 . 53) (189 . 318) (71 . 319) (190 . 320) 
    (191 . 321) (193 . 324)) ((114 . 323) (1 . -193)) ((30 . 3) (33 . 4) 
    (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12)
    (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) 
    (54 . 20) (57 . 21) (177 . 22) (36 . 23) (39 . 26) (40 . 27) (41 . 28) 
    (58 . 29) (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) 
    (61 . 36) (200 . 37) (201 . 38) (202 . 39) (62 . 40) (203 . 313) (205 . 
    314) (206 . 315) (186 . 316) (188 . 317) (5 . 53) (189 . 318) (71 . 319) 
    (190 . 320) (191 . 321) (193 . 322)) ((114 . 312) (1 . -190)) ((1 . -245))
    ((1 . -186)) ((47 . 310) (46 . 311)) ((1 . -177)) ((47 . 308) (46 . 309)) 
    ((1 . -183)) ((47 . 306) (46 . 307)) ((1 . -174)) ((47 . 304) (46 . 305)) 
    ((1 . -181)) ((1 . -172)) ((1 . -179)) ((1 . -170)) ((1 . -169)) ((1 . 
    -160)) ((55 . 303) (1 . -141)) ((1 . -138)) ((1 . -167)) ((1 . -158)) 
    ((1 . -134)) ((1 . -151)) ((1 . -131)) ((1 . -166)) ((1 . -157)) ((55 . 
    302) (1 . -132)) ((1 . -129)) ((1 . -164)) ((1 . -155)) ((1 . -122)) 
    ((12 . 66) (33 . 4) (34 . 5) (35 . 6) (242 . 295) (177 . 296) (41 . 297) 
    (174 . 298) (175 . 299) (176 . 300) (178 . 301)) ((33 . 4) (34 . 5) 
    (35 . 6) (177 . 22) (36 . 23) (37 . 24) (38 . 25) (63 . 41) (64 . 42) 
    (65 . 43) (66 . 77) (67 . 44) (203 . 45) (204 . 46) (207 . 49) (208 . 80) 
    (30 . 3) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13
    ) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) 
    (57 . 21) (39 . 26) (40 . 27) (41 . 28) (58 . 29) (59 . 30) (60 . 31) 
    (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) (200 . 37) (201 . 38
    ) (202 . 39) (62 . 40) (205 . 161) (206 . 162) (185 . 294) (115 . -93) 
    (106 . -93) (1 . -218)) ((33 . 4) (34 . 5) (35 . 6) (177 . 22) (36 . 23) 
    (37 . 24) (38 . 25) (63 . 41) (64 . 42) (65 . 43) (66 . 77) (67 . 44) 
    (203 . 45) (204 . 46) (207 . 49) (208 . 79) (30 . 3) (42 . 7) (43 . 8) 
    (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) 
    (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) (57 . 21) (39 . 26) 
    (40 . 27) (41 . 28) (58 . 29) (59 . 30) (60 . 31) (196 . 32) (197 . 33) 
    (198 . 34) (199 . 35) (61 . 36) (200 . 37) (201 . 38) (202 . 39) (62 . 40)
    (205 . 161) (206 . 162) (185 . 293) (115 . -91) (106 . -91) (1 . -216)) 
    ((1 . -215)) ((115 . -317) (106 . -317)) ((112 . 288) (116 . 289) (103 . 
    69) (155 . 290) (165 . 291) (227 . 292)) ((115 . 287)) ((1 . -446)) 
    ((13 . 286) (1 . -445)) ((1 . -444)) ((1 . -443)) ((1 . -442)) ((1 . -441)
    ) ((1 . -440)) ((1 . -439)) ((1 . -3)) ((1 . -2)) ((1 . -1)) ((1 . -35)) 
    ((1 . -34)) ((1 . -33)) ((1 . -32)) ((1 . -31)) ((1 . -30)) ((30 . 3) 
    (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) 
    (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) 
    (55 . 19) (54 . 20) (57 . 21) (177 . 22) (36 . 23) (37 . 24) (38 . 25) 
    (39 . 26) (40 . 27) (41 . 28) (58 . 29) (59 . 30) (60 . 31) (196 . 32) 
    (197 . 33) (198 . 34) (199 . 35) (61 . 36) (200 . 37) (201 . 38) (202 . 39
    ) (62 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 77) (67 . 44) (203 . 45) 
    (204 . 46) (205 . 161) (206 . 162) (207 . 49) (185 . 163) (208 . 50) 
    (228 . 164) (156 . 165) (232 . 282) (224 . 232) (223 . 233) (222 . 234) 
    (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) (119 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) 
    (217 . 239) (216 . 240) (240 . 175) (241 . 176) (242 . 177) (215 . 241) 
    (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) (104 . 183) 
    (116 . 243) (235 . 185) (214 . 244) (105 . 186) (225 . 187) (107 . 188) 
    (108 . 189) (234 . 190) (226 . 245) (213 . 246) (230 . 283) (239 . 284) 
    (114 . 285)) ((1 . -8)) ((13 . 167) (119 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175) (241 . 
    176) (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182
    ) (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (226 . 280) (116 . 281)) ((13 . 167) (119 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175)
    (241 . 176) (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) 
    (103 . 182) (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) 
    (108 . 189) (234 . 190) (116 . 243) (226 . 278) (224 . 279)) ((13 . 167) 
    (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 66) (240 . 175) (241 . 176) (242 . 177) (99 . 178) (100 . 179) 
    (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 184) (235 . 185) 
    (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 277)) 
    ((13 . 167) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 66) (240 . 175) (241 . 176) (242 . 177) (99 . 178) 
    (100 . 179) (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 184) 
    (235 . 185) (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) 
    (226 . 276)) ((112 . 270) (116 . 271) (110 . 272) (109 . 273) (108 . 274) 
    (107 . 275) (1 . -24)) ((115 . 269)) ((115 . 268)) ((115 . 267)) ((115 . 
    266)) ((115 . 265)) ((33 . 4) (34 . 5) (35 . 6) (177 . 22) (36 . 23) 
    (203 . 115) (192 . 262) (12 . 66) (116 . 67) (242 . 68) (103 . 69) 
    (164 . 70) (165 . 71) (182 . 263) (168 . 73) (169 . 264)) ((224 . 232) 
    (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) 
    (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) (241 . 176) 
    (242 . 177) (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) 
    (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) (105 . 186) 
    (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) 
    (114 . 259) (230 . 260) (167 . 261)) ((82 . 258) (33 . 4) (34 . 5) 
    (35 . 6) (177 . 22) (36 . 23) (203 . 131) (106 . -277) (71 . -277)) 
    ((20 . 253) (40 . 254) (14 . 255) (15 . 256) (135 . 257) (116 . -400)) 
    ((33 . 4) (34 . 5) (35 . 6) (177 . 22) (36 . 23) (203 . 115) (192 . 251) 
    (82 . 252) (106 . -275) (71 . -275)) ((141 . 249) (113 . 250) (3 . -370) 
    (4 . -370) (1 . -370)) ((5 . -437) (4 . -437) (3 . -437) (1 . -437)) 
    ((112 . 204) (116 . 205) (1 . -280)) ((64 . 230) (111 . 231) (224 . 232) 
    (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) 
    (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) (241 . 176) 
    (242 . 177) (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) 
    (103 . 242) (104 . 183) (116 . 243) (235 . 185) (214 . 244) (105 . 186) 
    (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) 
    (230 . 247) (39 . 26) (40 . 27) (41 . 28) (205 . 206) (160 . 207) (163 . 
    248)) ((115 . 222) (12 . 66) (242 . 223) (157 . 224) (161 . 225) (30 . 3) 
    (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) 
    (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) 
    (55 . 19) (54 . 20) (57 . 21) (177 . 22) (36 . 23) (37 . 24) (38 . 25) 
    (39 . 26) (40 . 27) (41 . 28) (58 . 29) (59 . 30) (60 . 31) (196 . 32) 
    (197 . 33) (198 . 34) (199 . 35) (61 . 36) (200 . 37) (201 . 38) (202 . 39
    ) (62 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 77) (67 . 44) (203 . 45) 
    (204 . 46) (205 . 47) (206 . 48) (207 . 49) (208 . 50) (228 . 226) 
    (158 . 227) (159 . 228) (162 . 229)) ((1 . -303)) ((39 . 26) (40 . 27) 
    (41 . 28) (205 . 221) (1 . -302)) ((103 . 69) (165 . 220) (1 . -283)) 
    ((33 . 4) (34 . 5) (35 . 6) (177 . 22) (36 . 23) (203 . 131) (103 . 69) 
    (165 . 219) (1 . -285)) ((1 . -286)) ((115 . 218)) ((12 . 66) (116 . 67) 
    (242 . 68) (103 . 69) (164 . 70) (165 . 71) (182 . 217)) ((3 . -448) 
    (4 . -448) (5 . -448) (1 . -448)) ((3 . -85) (4 . -85) (5 . -85) (1 . -85)
    ) ((121 . 216) (5 . -435) (4 . -435) (3 . -435) (1 . -435)) ((124 . 468) 
    (5 . -426) (4 . -426) (3 . -426) (1 . -426)) ((115 . 467)) ((1 . -289)) 
    ((1 . -284)) ((1 . -282)) ((1 . -304)) ((1 . -301)) ((115 . -314) (106 . 
    -314)) ((106 . 466) (115 . -313)) ((115 . 465)) ((112 . 288) (155 . 290) 
    (227 . 461) (12 . 66) (116 . 462) (242 . 68) (103 . 69) (164 . 70) 
    (165 . 463) (182 . 464) (115 . -311) (106 . -311)) ((106 . -307) (115 . 
    -307)) ((106 . 460) (115 . -305)) ((115 . 459)) ((39 . 26) (40 . 27) 
    (41 . 28) (205 . 206) (160 . 207) (163 . 458)) ((1 . -294)) ((1 . -38)) 
    ((103 . 455) (98 . 456) (97 . 457) (1 . -42)) ((102 . 453) (101 . 454) 
    (1 . -45)) ((96 . 451) (95 . 452) (1 . -48)) ((94 . 447) (93 . 448) 
    (92 . 449) (91 . 450) (1 . -53)) ((90 . 445) (89 . 446) (1 . -56)) 
    ((104 . 444) (1 . -58)) ((88 . 443) (1 . -60)) ((87 . 442) (1 . -62)) 
    ((86 . 441) (1 . -64)) ((111 . 440) (1 . -31)) ((224 . 232) (223 . 233) 
    (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) 
    (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 66) (217 . 239) (216 . 240) (240 . 175) (241 . 176) (242 . 177) 
    (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (116 . 243) (235 . 185) (214 . 244) (105 . 186) (225 . 187) 
    (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) (230 . 283) 
    (239 . 284) (114 . 285) (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) 
    (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) 
    (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) (57 . 21) 
    (177 . 22) (36 . 23) (37 . 24) (38 . 25) (39 . 26) (40 . 27) (41 . 28) 
    (58 . 29) (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) 
    (61 . 36) (200 . 37) (201 . 38) (202 . 39) (62 . 40) (63 . 41) (64 . 42) 
    (65 . 43) (66 . 77) (67 . 44) (203 . 45) (204 . 46) (205 . 161) (206 . 162
    ) (207 . 49) (185 . 163) (208 . 50) (228 . 164) (156 . 165) (232 . 439)) 
    ((84 . 437) (85 . 438) (1 . -66)) ((72 . 425) (73 . 426) (74 . 427) 
    (75 . 428) (76 . 429) (77 . 430) (78 . 431) (79 . 432) (80 . 433) (81 . 
    434) (82 . 435) (212 . 436) (1 . -36)) ((1 . -68)) ((111 . 424)) ((224 . 
    232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167
    ) (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) 
    (11 . 173) (32 . 174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) 
    (241 . 176) (242 . 177) (215 . 241) (99 . 178) (100 . 179) (101 . 180) 
    (102 . 181) (104 . 183) (116 . 243) (235 . 185) (214 . 244) (105 . 186) 
    (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) 
    (230 . 420) (111 . 421) (64 . 422) (103 . 423)) ((224 . 232) (223 . 233) 
    (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) 
    (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (217 . 239) (216 . 240) (240 . 175) (241 . 176) (30 . 3) (33 . 4) (34 . 5)
    (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13
    ) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) 
    (57 . 21) (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) 
    (103 . 182) (104 . 183) (116 . 243) (235 . 185) (177 . 22) (36 . 23) 
    (37 . 24) (38 . 25) (39 . 26) (40 . 27) (41 . 28) (58 . 29) (59 . 30) 
    (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) (200 . 37)
    (201 . 38) (202 . 39) (62 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 77) 
    (67 . 44) (214 . 244) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (203 . 45) (204 . 46) (205 . 47) (206 . 48) (207 . 49) 
    (226 . 245) (213 . 246) (12 . 66) (16 . 199) (208 . 50) (230 . 283) 
    (3 . 51) (4 . 52) (166 . 391) (17 . 392) (18 . 393) (19 . 394) (20 . 395) 
    (21 . 396) (22 . 397) (23 . 398) (24 . 399) (27 . 400) (71 . 401) (239 . 
    402) (114 . 201) (28 . 403) (29 . 404) (242 . 405) (228 . 406) (143 . 407)
    (144 . 408) (145 . 409) (146 . 410) (147 . 411) (148 . 412) (149 . 413) 
    (150 . 414) (151 . 415) (211 . 55) (142 . 416) (138 . 417) (139 . 418) 
    (237 . 419)) ((4 . -369) (3 . -369) (5 . -369) (1 . -369)) ((33 . 4) 
    (34 . 5) (35 . 6) (177 . 22) (36 . 23) (203 . 131) (106 . -279) (71 . -279
    )) ((224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237
    ) (13 . 167) (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) 
    (10 . 172) (11 . 173) (32 . 174) (12 . 66) (217 . 239) (216 . 240) 
    (240 . 175) (241 . 176) (242 . 177) (215 . 241) (99 . 178) (100 . 179) 
    (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) 
    (214 . 244) (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) 
    (226 . 245) (213 . 246) (114 . 259) (230 . 260) (167 . 390)) ((116 . -404)
    ) ((116 . -403)) ((116 . -402)) ((116 . -401)) ((116 . 389)) ((224 . 232) 
    (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) 
    (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) (241 . 176) 
    (242 . 177) (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) 
    (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) (105 . 186) 
    (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) 
    (114 . 259) (230 . 260) (167 . 388)) ((224 . 232) (223 . 233) (222 . 234) 
    (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) (119 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) 
    (217 . 239) (216 . 240) (240 . 175) (241 . 176) (242 . 177) (215 . 241) 
    (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) (104 . 183) 
    (116 . 243) (235 . 185) (110 . 381) (112 . 382) (214 . 244) (105 . 186) 
    (225 . 187) (107 . 188) (108 . 189) (234 . 190) (152 . 383) (226 . 245) 
    (213 . 246) (153 . 384) (114 . 259) (230 . 260) (167 . 385) (154 . 386) 
    (231 . 387)) ((1 . -343)) ((106 . -274) (71 . -274)) ((12 . 66) (116 . 67)
    (242 . 68) (103 . 69) (164 . 70) (165 . 71) (182 . 263) (168 . 73) 
    (169 . 380) (33 . 4) (34 . 5) (35 . 6) (177 . 22) (36 . 23) (203 . 131)) 
    ((82 . 197) (33 . 4) (34 . 5) (35 . 6) (177 . 22) (36 . 23) (203 . 115) 
    (192 . 198) (16 . 199) (166 . 200) (106 . -273) (71 . -273)) ((106 . -270)
    (71 . -270)) ((1 . -113)) ((1 . -114)) ((1 . -115)) ((1 . -116)) ((1 . 
    -117)) ((224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) 
    (219 . 237) (13 . 167) (218 . 238) (119 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) (217 . 239) (216 . 
    240) (240 . 175) (241 . 176) (242 . 177) (215 . 241) (99 . 178) (100 . 179
    ) (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) 
    (214 . 244) (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) 
    (226 . 245) (213 . 246) (230 . 283) (239 . 379)) ((115 . 374) (224 . 232) 
    (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) 
    (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 66) (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) 
    (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) 
    (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) (57 . 21) 
    (217 . 239) (177 . 22) (36 . 23) (37 . 24) (38 . 25) (39 . 26) (40 . 27) 
    (41 . 28) (58 . 29) (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) 
    (199 . 35) (61 . 36) (200 . 37) (201 . 38) (202 . 39) (62 . 40) (63 . 41) 
    (64 . 42) (65 . 43) (66 . 77) (67 . 44) (216 . 240) (240 . 175) (241 . 176
    ) (242 . 177) (203 . 45) (204 . 46) (205 . 47) (206 . 48) (207 . 49) 
    (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (116 . 243) (235 . 185) (208 . 50) (214 . 244) (105 . 186) 
    (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) 
    (228 . 375) (229 . 376) (230 . 377) (233 . 378)) ((12 . 66) (242 . 373)) 
    ((12 . 66) (242 . 372)) ((1 . -14)) ((1 . -15)) ((1 . -25)) ((1 . -26)) 
    ((1 . -36)) ((1 . -27)) ((1 . -28)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) 
    (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) 
    (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) 
    (57 . 21) (177 . 22) (36 . 23) (37 . 24) (38 . 25) (39 . 26) (40 . 27) 
    (41 . 28) (58 . 29) (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) 
    (199 . 35) (61 . 36) (200 . 37) (201 . 38) (202 . 39) (62 . 40) (63 . 41) 
    (64 . 42) (65 . 43) (66 . 77) (67 . 44) (203 . 45) (204 . 46) (205 . 161) 
    (206 . 162) (207 . 49) (185 . 163) (208 . 50) (228 . 164) (156 . 165) 
    (232 . 371) (224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) 
    (219 . 237) (13 . 167) (218 . 238) (119 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) (217 . 239) (216 . 
    240) (240 . 175) (241 . 176) (242 . 177) (215 . 241) (99 . 178) (100 . 179
    ) (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) 
    (214 . 244) (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) 
    (226 . 245) (213 . 246) (230 . 283) (239 . 284) (114 . 285)) ((115 . 370))
    ((1 . -81)) ((115 . 368) (106 . 369)) ((238 . 367) (3 . -6) (4 . -6) 
    (1 . -6)) ((1 . -447)) ((1 . -118)) ((224 . 232) (223 . 233) (222 . 234) 
    (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) (119 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) 
    (217 . 239) (216 . 240) (240 . 175) (241 . 176) (242 . 177) (215 . 241) 
    (99 . 178) (100 . 179) (101 . 180) (102 . 181) (104 . 183) (116 . 243) 
    (235 . 185) (214 . 244) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (226 . 245) (213 . 246) (230 . 362) (111 . 363) (64 . 364) 
    (39 . 26) (40 . 27) (41 . 28) (205 . 206) (160 . 207) (163 . 365) (103 . 
    366)) ((112 . 288) (116 . 289) (103 . 69) (155 . 290) (165 . 291) (227 . 
    359) (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) 
    (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) 
    (52 . 17) (53 . 18) (55 . 19) (54 . 20) (57 . 21) (177 . 22) (36 . 23) 
    (37 . 24) (38 . 25) (39 . 26) (40 . 27) (41 . 28) (58 . 29) (59 . 30) 
    (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) (200 . 37)
    (201 . 38) (202 . 39) (62 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 77) 
    (67 . 44) (203 . 45) (204 . 46) (205 . 47) (206 . 48) (207 . 49) (208 . 50
    ) (228 . 226) (158 . 227) (159 . 228) (162 . 360) (115 . 361)) ((116 . 357
    ) (112 . 358) (115 . -320) (106 . -320)) ((112 . 288) (116 . 289) (155 . 
    356) (115 . -319) (106 . -319)) ((115 . -316) (106 . -316)) ((1 . -217)) 
    ((1 . -219)) ((1 . -259)) ((1 . -258)) ((115 . -257) (106 . -257)) 
    ((116 . 355) (115 . -255) (106 . -255)) ((115 . -252) (106 . -252)) 
    ((106 . 354) (115 . -251)) ((115 . 353)) ((1 . -133)) ((1 . -140)) 
    ((1 . -173)) ((1 . -182)) ((1 . -175)) ((1 . -184)) ((1 . -176)) ((1 . 
    -185)) ((1 . -178)) ((1 . -187)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) 
    (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) 
    (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) 
    (57 . 21) (177 . 22) (36 . 23) (39 . 26) (40 . 27) (41 . 28) (58 . 29) 
    (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) 
    (200 . 37) (201 . 38) (202 . 39) (62 . 40) (203 . 313) (205 . 314) 
    (206 . 315) (186 . 316) (188 . 317) (5 . 53) (189 . 318) (71 . 319) 
    (190 . 320) (191 . 321) (193 . 352)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) 
    (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) 
    (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) 
    (57 . 21) (177 . 22) (36 . 23) (39 . 26) (40 . 27) (41 . 28) (58 . 29) 
    (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) 
    (200 . 37) (201 . 38) (202 . 39) (62 . 40) (203 . 313) (205 . 314) 
    (206 . 315) (186 . 351) (1 . -213)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) 
    (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) 
    (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) 
    (57 . 21) (177 . 22) (36 . 23) (39 . 26) (40 . 27) (41 . 28) (58 . 29) 
    (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) 
    (200 . 37) (201 . 38) (202 . 39) (62 . 40) (203 . 313) (205 . 314) 
    (206 . 315) (186 . 350) (1 . -211)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) 
    (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) 
    (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) 
    (57 . 21) (177 . 22) (36 . 23) (39 . 26) (40 . 27) (41 . 28) (58 . 29) 
    (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) 
    (200 . 37) (201 . 38) (202 . 39) (62 . 40) (203 . 313) (205 . 314) 
    (206 . 315) (186 . 349) (1 . -209)) ((1 . -208)) ((12 . 66) (116 . 67) 
    (242 . 68) (103 . 69) (164 . 70) (165 . 71) (83 . 344) (182 . 345) 
    (183 . 346) (184 . 347) (187 . 348) (71 . -207)) ((71 . 343)) ((5 . -202) 
    (1 . -202)) ((5 . -199) (1 . -199)) ((5 . -198) (1 . -198)) ((113 . 342) 
    (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) 
    (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) 
    (53 . 18) (55 . 19) (54 . 20) (57 . 21) (177 . 22) (36 . 23) (39 . 26) 
    (40 . 27) (41 . 28) (58 . 29) (59 . 30) (60 . 31) (196 . 32) (197 . 33) 
    (198 . 34) (199 . 35) (61 . 36) (200 . 37) (201 . 38) (202 . 39) (62 . 40)
    (203 . 313) (205 . 314) (206 . 315) (186 . 316) (188 . 317) (189 . 318) 
    (191 . 338) (5 . 53) (190 . 339) (71 . 340)) ((30 . 3) (33 . 4) (34 . 5) 
    (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13
    ) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) 
    (57 . 21) (177 . 22) (36 . 23) (39 . 26) (40 . 27) (41 . 28) (58 . 29) 
    (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) 
    (200 . 37) (201 . 38) (202 . 39) (62 . 40) (203 . 313) (205 . 314) 
    (206 . 315) (186 . 316) (188 . 317) (5 . 53) (189 . 318) (71 . 319) 
    (190 . 320) (191 . 321) (193 . 341)) ((113 . 337) (30 . 3) (33 . 4) 
    (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12)
    (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) 
    (54 . 20) (57 . 21) (177 . 22) (36 . 23) (39 . 26) (40 . 27) (41 . 28) 
    (58 . 29) (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) 
    (61 . 36) (200 . 37) (201 . 38) (202 . 39) (62 . 40) (203 . 313) (205 . 
    314) (206 . 315) (186 . 316) (188 . 317) (189 . 318) (191 . 338) (5 . 53) 
    (190 . 339) (71 . 340)) ((1 . -230)) ((113 . 335) (12 . 66) (242 . 124) 
    (179 . 336)) ((13 . 167) (119 . 168) (7 . 169) (8 . 170) (9 . 171) 
    (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175) (241 . 176) 
    (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (116 . 243) (226 . 278) (224 . 232) (223 . 233) (222 . 234) 
    (221 . 235) (220 . 236) (219 . 237) (218 . 238) (217 . 239) (216 . 240) 
    (215 . 241) (214 . 244) (213 . 333) (181 . 334)) ((82 . 332) (33 . 4) 
    (34 . 5) (35 . 6) (177 . 22) (36 . 23) (203 . 131) (113 . -236) (106 . 
    -236)) ((106 . 330) (113 . 331)) ((12 . 66) (242 . 124) (179 . 336) 
    (113 . 567)) ((1 . -228)) ((13 . 167) (119 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175) (241 . 
    176) (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182
    ) (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (116 . 243) (226 . 278) (224 . 232) (223 . 233) (222 . 234) 
    (221 . 235) (220 . 236) (219 . 237) (218 . 238) (217 . 239) (216 . 240) 
    (215 . 241) (214 . 244) (213 . 333) (181 . 566)) ((1 . -83)) ((113 . -237)
    (106 . -237)) ((1 . -231)) ((113 . -234) (106 . -234)) ((1 . -192)) 
    ((5 . -200) (1 . -200)) ((5 . -201) (1 . -201)) ((5 . -203) (1 . -203)) 
    ((113 . 565) (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) 
    (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) 
    (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) (57 . 21) (177 . 22) 
    (36 . 23) (39 . 26) (40 . 27) (41 . 28) (58 . 29) (59 . 30) (60 . 31) 
    (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) (200 . 37) (201 . 38
    ) (202 . 39) (62 . 40) (203 . 313) (205 . 314) (206 . 315) (186 . 316) 
    (188 . 317) (189 . 318) (191 . 338) (5 . 53) (190 . 339) (71 . 340)) 
    ((1 . -189)) ((6 . 213) (210 . 564) (5 . -204) (1 . -204)) ((13 . 167) 
    (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 66) (240 . 175) (241 . 176) (242 . 177) (99 . 178) (100 . 179) 
    (101 . 180) (102 . 181) (103 . 182) (104 . 183) (235 . 185) (105 . 186) 
    (225 . 187) (107 . 188) (108 . 189) (234 . 190) (116 . 243) (226 . 278) 
    (224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) 
    (218 . 238) (217 . 239) (216 . 240) (215 . 241) (214 . 244) (213 . 333) 
    (181 . 563)) ((33 . 4) (34 . 5) (35 . 6) (177 . 22) (36 . 23) (203 . 115) 
    (192 . 561) (83 . 562) (106 . -224) (71 . -224)) ((106 . -223) (71 . -223)
    ) ((106 . -220) (71 . -220)) ((106 . 560) (71 . -206)) ((1 . -210)) 
    ((1 . -212)) ((1 . -214)) ((113 . 559) (30 . 3) (33 . 4) (34 . 5) (35 . 6)
    (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) 
    (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) 
    (57 . 21) (177 . 22) (36 . 23) (39 . 26) (40 . 27) (41 . 28) (58 . 29) 
    (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) 
    (200 . 37) (201 . 38) (202 . 39) (62 . 40) (203 . 313) (205 . 314) 
    (206 . 315) (186 . 316) (188 . 317) (189 . 318) (191 . 338) (5 . 53) 
    (190 . 339) (71 . 340)) ((115 . 558)) ((12 . 66) (33 . 4) (34 . 5) 
    (35 . 6) (242 . 295) (177 . 296) (41 . 297) (174 . 298) (175 . 557) 
    (115 . -254) (106 . -254)) ((30 . 3) (42 . 7) (43 . 8) (44 . 9) (45 . 10) 
    (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) 
    (53 . 18) (55 . 19) (54 . 20) (57 . 21) (36 . 23) (37 . 24) (38 . 25) 
    (39 . 26) (40 . 27) (41 . 28) (58 . 29) (59 . 30) (60 . 31) (196 . 32) 
    (197 . 33) (198 . 34) (199 . 35) (61 . 36) (200 . 37) (201 . 38) (202 . 39
    ) (62 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 77) (67 . 44) (203 . 45) 
    (204 . 46) (205 . 161) (206 . 162) (207 . 49) (13 . 167) (33 . 4) (34 . 5)
    (35 . 6) (185 . 163) (208 . 50) (119 . 168) (12 . 66) (228 . 164) (156 . 
    165) (177 . 548) (174 . 549) (242 . 550) (240 . 551) (32 . 552) (232 . 553
    ) (171 . 554) (172 . 555) (173 . 556)) ((116 . 357) (112 . 358) (115 . 
    -318) (106 . -318)) ((115 . 546) (30 . 3) (33 . 4) (34 . 5) (35 . 6) 
    (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) 
    (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) 
    (57 . 21) (177 . 22) (36 . 23) (37 . 24) (38 . 25) (39 . 26) (40 . 27) 
    (41 . 28) (58 . 29) (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) 
    (199 . 35) (61 . 36) (200 . 37) (201 . 38) (202 . 39) (62 . 40) (63 . 41) 
    (64 . 42) (65 . 43) (66 . 77) (67 . 44) (203 . 45) (204 . 46) (205 . 47) 
    (206 . 48) (207 . 49) (208 . 50) (228 . 226) (158 . 227) (159 . 228) 
    (162 . 547)) ((64 . 541) (111 . 542) (224 . 232) (223 . 233) (222 . 234) 
    (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) (119 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) 
    (217 . 239) (216 . 240) (240 . 175) (241 . 176) (242 . 177) (215 . 241) 
    (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 543) (104 . 183) 
    (116 . 243) (235 . 185) (214 . 244) (105 . 186) (225 . 187) (107 . 188) 
    (108 . 189) (234 . 190) (226 . 245) (213 . 246) (230 . 544) (39 . 26) 
    (40 . 27) (41 . 28) (205 . 206) (160 . 207) (163 . 545)) ((115 . 540)) 
    ((115 . 539)) ((1 . -333)) ((111 . 538)) ((1 . -337)) ((39 . 26) (40 . 27)
    (41 . 28) (205 . 206) (160 . 207) (163 . 537)) ((64 . 534) (111 . 535) 
    (224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) 
    (13 . 167) (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) 
    (241 . 176) (242 . 177) (215 . 241) (99 . 178) (100 . 179) (101 . 180) 
    (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) 
    (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) 
    (213 . 246) (230 . 536)) ((111 . 533) (1 . -31)) ((224 . 232) (223 . 233) 
    (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) 
    (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (217 . 239) (216 . 240) (240 . 175) (241 . 176) (30 . 3) (33 . 4) (34 . 5)
    (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13
    ) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) 
    (57 . 21) (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) 
    (103 . 182) (104 . 183) (116 . 243) (235 . 185) (177 . 22) (36 . 23) 
    (37 . 24) (38 . 25) (39 . 26) (40 . 27) (41 . 28) (58 . 29) (59 . 30) 
    (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) (200 . 37)
    (201 . 38) (202 . 39) (62 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 77) 
    (67 . 44) (214 . 244) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (203 . 45) (204 . 46) (205 . 47) (206 . 48) (207 . 49) 
    (226 . 245) (213 . 246) (12 . 66) (16 . 199) (208 . 50) (230 . 283) 
    (3 . 51) (4 . 52) (166 . 391) (17 . 392) (18 . 393) (19 . 394) (20 . 395) 
    (21 . 396) (22 . 397) (23 . 398) (24 . 399) (27 . 400) (71 . 401) (239 . 
    402) (114 . 201) (28 . 403) (29 . 404) (242 . 405) (228 . 406) (143 . 407)
    (144 . 408) (145 . 409) (146 . 410) (147 . 411) (148 . 412) (149 . 413) 
    (150 . 414) (151 . 415) (211 . 55) (142 . 416) (138 . 417) (139 . 418) 
    (237 . 532)) ((1 . -4)) ((224 . 232) (223 . 233) (222 . 234) (221 . 235) 
    (220 . 236) (219 . 237) (13 . 167) (218 . 238) (119 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) (217 . 239)
    (216 . 240) (240 . 175) (241 . 176) (242 . 177) (215 . 241) (99 . 178) 
    (100 . 179) (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 243) 
    (235 . 185) (214 . 244) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (226 . 245) (213 . 246) (230 . 531)) ((114 . 530)) ((115 . 529
    )) ((1 . -13)) ((1 . -12)) ((1 . -11)) ((112 . 288) (116 . 289) (103 . 69)
    (155 . 290) (165 . 291) (227 . 528) (115 . -23) (106 . -23)) ((115 . -20) 
    (106 . -20)) ((115 . -18) (106 . -18)) ((115 . 526) (106 . 527)) ((111 . 
    525) (106 . 369)) ((106 . -271) (71 . -271)) ((12 . 66) (242 . 524)) 
    ((13 . 167) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 66) (240 . 175) (241 . 176) (242 . 177) (99 . 178) 
    (100 . 179) (101 . 180) (102 . 181) (103 . 182) (104 . 183) (235 . 185) 
    (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) (116 . 243) 
    (226 . 278) (224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) 
    (219 . 237) (218 . 238) (217 . 239) (216 . 240) (215 . 241) (214 . 244) 
    (213 . 333) (181 . 523)) ((1 . -351)) ((82 . 521) (110 . 381) (112 . 382) 
    (152 . 522)) ((106 . -347) (113 . -347)) ((224 . 232) (223 . 233) (222 . 
    234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) (119 . 168
    ) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66)
    (217 . 239) (216 . 240) (240 . 175) (241 . 176) (242 . 177) (215 . 241) 
    (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) (104 . 183) 
    (116 . 243) (235 . 185) (214 . 244) (105 . 186) (225 . 187) (107 . 188) 
    (108 . 189) (234 . 190) (226 . 245) (213 . 246) (114 . 259) (230 . 260) 
    (167 . 520)) ((106 . 518) (113 . 519)) ((106 . -278) (71 . -278)) (
    (13 . 167) (119 . 168) (240 . 517)) ((106 . -276) (71 . -276)) ((71 . 516)
    ) ((224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237)
    (13 . 167) (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) 
    (241 . 176) (242 . 177) (215 . 241) (99 . 178) (100 . 179) (101 . 180) 
    (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) 
    (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) 
    (213 . 246) (230 . 283) (239 . 514) (71 . 515)) ((71 . 513)) ((71 . 512)) 
    ((12 . 66) (242 . 511)) ((116 . 510)) ((224 . 232) (223 . 233) (222 . 234)
    (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) (119 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (217 . 239)
    (216 . 240) (240 . 175) (241 . 176) (215 . 241) (99 . 178) (100 . 179) 
    (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) 
    (214 . 244) (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) 
    (226 . 245) (213 . 246) (12 . 66) (16 . 199) (230 . 283) (3 . 51) (4 . 52)
    (166 . 391) (17 . 392) (18 . 393) (19 . 394) (20 . 395) (21 . 396) 
    (22 . 397) (23 . 398) (24 . 399) (27 . 400) (71 . 401) (239 . 402) 
    (114 . 201) (28 . 403) (29 . 404) (242 . 405) (143 . 407) (144 . 408) 
    (145 . 409) (146 . 410) (147 . 411) (148 . 412) (149 . 413) (150 . 414) 
    (151 . 415) (142 . 509)) ((116 . 508)) ((116 . 507)) ((116 . 506)) 
    ((4 . -377) (3 . -377) (1 . -377)) ((71 . 505) (106 . 369)) ((83 . 504)) 
    ((13 . 167) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 66) (240 . 175) (241 . 176) (242 . 177) (99 . 178) 
    (100 . 179) (101 . 180) (102 . 181) (103 . 182) (104 . 183) (235 . 185) 
    (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) (116 . 243) 
    (226 . 278) (224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) 
    (219 . 237) (218 . 238) (217 . 239) (216 . 240) (215 . 241) (214 . 244) 
    (213 . 333) (181 . 503)) ((83 . 502) (1 . -1)) ((12 . 66) (116 . 67) 
    (242 . 68) (103 . 69) (164 . 70) (165 . 71) (182 . 263) (168 . 73) 
    (169 . 74) (170 . 75) (209 . 76) (71 . -87)) ((3 . -363) (4 . -363) 
    (1 . -363)) ((3 . -362) (4 . -362) (1 . -362)) ((3 . -361) (4 . -361) 
    (1 . -361)) ((3 . -360) (4 . -360) (1 . -360)) ((3 . -359) (4 . -359) 
    (1 . -359)) ((3 . -358) (4 . -358) (1 . -358)) ((3 . -357) (4 . -357) 
    (1 . -357)) ((3 . -356) (4 . -356) (1 . -356)) ((3 . -355) (4 . -355) 
    (1 . -355)) ((4 . -375) (3 . -375) (1 . -375)) ((4 . -374) (3 . -374) 
    (1 . -374)) ((3 . -372) (4 . -372) (1 . -372)) ((140 . 500) (224 . 232) 
    (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) 
    (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (217 . 239) (216 . 240) (240 . 175) (241 . 176) (30 . 3) 
    (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) 
    (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) 
    (55 . 19) (54 . 20) (57 . 21) (215 . 241) (99 . 178) (100 . 179) (101 . 
    180) (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) (177 . 22
    ) (36 . 23) (37 . 24) (38 . 25) (39 . 26) (40 . 27) (41 . 28) (58 . 29) 
    (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) 
    (200 . 37) (201 . 38) (202 . 39) (62 . 40) (63 . 41) (64 . 42) (65 . 43) 
    (66 . 77) (67 . 44) (214 . 244) (105 . 186) (225 . 187) (107 . 188) 
    (108 . 189) (234 . 190) (203 . 45) (204 . 46) (205 . 47) (206 . 48) 
    (207 . 49) (226 . 245) (213 . 246) (12 . 66) (16 . 199) (208 . 50) 
    (230 . 283) (3 . 51) (4 . 52) (166 . 391) (17 . 392) (18 . 393) (19 . 394)
    (20 . 395) (21 . 396) (22 . 397) (23 . 398) (24 . 399) (27 . 400) (71 . 
    401) (239 . 402) (114 . 201) (28 . 403) (29 . 404) (242 . 405) (228 . 406)
    (143 . 407) (144 . 408) (145 . 409) (146 . 410) (147 . 411) (148 . 412) 
    (149 . 413) (150 . 414) (151 . 415) (211 . 55) (142 . 416) (138 . 417) 
    (139 . 501) (113 . -371)) ((111 . 499)) ((1 . -292)) ((224 . 232) (223 . 
    233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238
    ) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 
    174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) (241 . 176) (242 . 177)
    (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (116 . 243) (235 . 185) (214 . 244) (105 . 186) (225 . 187) 
    (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) (230 . 498)) 
    ((111 . 497) (1 . -31)) ((1 . -293)) ((1 . -80)) ((1 . -79)) ((1 . -78)) 
    ((1 . -77)) ((1 . -76)) ((1 . -75)) ((1 . -74)) ((1 . -73)) ((1 . -72)) 
    ((1 . -71)) ((1 . -70)) ((224 . 232) (223 . 233) (222 . 234) (221 . 235) 
    (220 . 236) (219 . 237) (13 . 167) (218 . 238) (119 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) (217 . 239)
    (216 . 240) (240 . 175) (241 . 176) (242 . 177) (215 . 241) (99 . 178) 
    (100 . 179) (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 243) 
    (235 . 185) (214 . 244) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (226 . 245) (213 . 246) (230 . 496)) ((224 . 232) (223 . 233) 
    (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) 
    (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 66) (217 . 239) (216 . 240) (240 . 175) (241 . 176) (242 . 177) 
    (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (116 . 243) (235 . 185) (214 . 244) (105 . 186) (225 . 187) 
    (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) (230 . 283) 
    (239 . 495)) ((13 . 167) (119 . 168) (7 . 169) (8 . 170) (9 . 171) 
    (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175) (241 . 176) 
    (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (116 . 243) (226 . 278) (224 . 232) (223 . 233) (222 . 234) 
    (221 . 235) (220 . 236) (219 . 237) (218 . 238) (217 . 239) (216 . 240) 
    (215 . 494)) ((115 . 493)) ((1 . -298)) ((13 . 167) (119 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175)
    (241 . 176) (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) 
    (103 . 182) (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) 
    (108 . 189) (234 . 190) (116 . 243) (226 . 278) (224 . 232) (223 . 233) 
    (222 . 234) (221 . 235) (220 . 236) (219 . 237) (218 . 238) (217 . 239) 
    (216 . 492)) ((13 . 167) (119 . 168) (7 . 169) (8 . 170) (9 . 171) 
    (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175) (241 . 176) 
    (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (116 . 243) (226 . 278) (224 . 232) (223 . 233) (222 . 234) 
    (221 . 235) (220 . 236) (219 . 237) (218 . 238) (217 . 491)) ((13 . 167) 
    (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 66) (240 . 175) (241 . 176) (242 . 177) (99 . 178) (100 . 179) 
    (101 . 180) (102 . 181) (103 . 182) (104 . 183) (235 . 185) (105 . 186) 
    (225 . 187) (107 . 188) (108 . 189) (234 . 190) (116 . 243) (226 . 278) 
    (224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) 
    (218 . 490)) ((13 . 167) (119 . 168) (7 . 169) (8 . 170) (9 . 171) 
    (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175) (241 . 176) 
    (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (116 . 243) (226 . 278) (224 . 232) (223 . 233) (222 . 234) 
    (221 . 235) (220 . 236) (219 . 489)) ((13 . 167) (119 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175)
    (241 . 176) (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) 
    (103 . 182) (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) 
    (108 . 189) (234 . 190) (116 . 243) (226 . 278) (224 . 232) (223 . 233) 
    (222 . 234) (221 . 235) (220 . 488)) ((13 . 167) (119 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175)
    (241 . 176) (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) 
    (103 . 182) (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) 
    (108 . 189) (234 . 190) (116 . 243) (226 . 278) (224 . 232) (223 . 233) 
    (222 . 234) (221 . 235) (220 . 487)) ((13 . 167) (119 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175)
    (241 . 176) (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) 
    (103 . 182) (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) 
    (108 . 189) (234 . 190) (116 . 243) (226 . 278) (224 . 232) (223 . 233) 
    (222 . 234) (221 . 486)) ((13 . 167) (119 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175) (241 . 
    176) (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182
    ) (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (116 . 243) (226 . 278) (224 . 232) (223 . 233) (222 . 234) 
    (221 . 485)) ((13 . 167) (119 . 168) (7 . 169) (8 . 170) (9 . 171) 
    (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175) (241 . 176) 
    (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (116 . 243) (226 . 278) (224 . 232) (223 . 233) (222 . 234) 
    (221 . 484)) ((13 . 167) (119 . 168) (7 . 169) (8 . 170) (9 . 171) 
    (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175) (241 . 176) 
    (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (116 . 243) (226 . 278) (224 . 232) (223 . 233) (222 . 234) 
    (221 . 483)) ((13 . 167) (119 . 168) (7 . 169) (8 . 170) (9 . 171) 
    (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175) (241 . 176) 
    (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (116 . 243) (226 . 278) (224 . 232) (223 . 233) (222 . 482)) 
    ((13 . 167) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 66) (240 . 175) (241 . 176) (242 . 177) (99 . 178) 
    (100 . 179) (101 . 180) (102 . 181) (103 . 182) (104 . 183) (235 . 185) 
    (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) (116 . 243) 
    (226 . 278) (224 . 232) (223 . 233) (222 . 481)) ((13 . 167) (119 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) 
    (240 . 175) (241 . 176) (242 . 177) (99 . 178) (100 . 179) (101 . 180) 
    (102 . 181) (103 . 182) (104 . 183) (235 . 185) (105 . 186) (225 . 187) 
    (107 . 188) (108 . 189) (234 . 190) (116 . 243) (226 . 278) (224 . 232) 
    (223 . 480)) ((13 . 167) (119 . 168) (7 . 169) (8 . 170) (9 . 171) 
    (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175) (241 . 176) 
    (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (116 . 243) (226 . 278) (224 . 232) (223 . 479)) ((13 . 167) 
    (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 66) (240 . 175) (241 . 176) (242 . 177) (99 . 178) (100 . 179) 
    (101 . 180) (102 . 181) (103 . 182) (104 . 183) (235 . 185) (105 . 186) 
    (225 . 187) (107 . 188) (108 . 189) (234 . 190) (116 . 243) (226 . 278) 
    (224 . 478)) ((13 . 167) (119 . 168) (7 . 169) (8 . 170) (9 . 171) 
    (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175) (241 . 176) 
    (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (116 . 243) (226 . 278) (224 . 477)) ((13 . 167) (119 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) 
    (240 . 175) (241 . 176) (242 . 177) (99 . 178) (100 . 179) (101 . 180) 
    (102 . 181) (103 . 182) (104 . 183) (235 . 185) (105 . 186) (225 . 187) 
    (107 . 188) (108 . 189) (234 . 190) (116 . 243) (226 . 278) (224 . 476)) 
    ((224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) 
    (13 . 167) (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) 
    (241 . 176) (242 . 177) (215 . 241) (99 . 178) (100 . 179) (101 . 180) 
    (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) 
    (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) 
    (213 . 246) (230 . 475)) ((1 . -299)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6)
    (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) 
    (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) 
    (57 . 21) (177 . 22) (36 . 23) (37 . 24) (38 . 25) (39 . 26) (40 . 27) 
    (41 . 28) (58 . 29) (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) 
    (199 . 35) (61 . 36) (200 . 37) (201 . 38) (202 . 39) (62 . 40) (63 . 41) 
    (64 . 42) (65 . 43) (66 . 77) (67 . 44) (203 . 45) (204 . 46) (205 . 47) 
    (206 . 48) (207 . 49) (208 . 50) (228 . 226) (158 . 473) (31 . 474)) 
    ((115 . -310) (106 . -310)) ((12 . 66) (242 . 68) (164 . 70) (182 . 211) 
    (112 . 288) (116 . 462) (103 . 69) (155 . 290) (165 . 463) (227 . 359) 
    (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) 
    (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) 
    (53 . 18) (55 . 19) (54 . 20) (57 . 21) (177 . 22) (36 . 23) (37 . 24) 
    (38 . 25) (39 . 26) (40 . 27) (41 . 28) (58 . 29) (59 . 30) (60 . 31) 
    (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) (200 . 37) (201 . 38
    ) (202 . 39) (62 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 77) (67 . 44) 
    (203 . 472) (204 . 46) (205 . 47) (206 . 48) (207 . 49) (208 . 50) 
    (228 . 226) (158 . 227) (159 . 228) (162 . 360) (115 . 361)) ((12 . 66) 
    (242 . 68) (164 . 203) (112 . 288) (116 . 462) (155 . 356) (115 . -319) 
    (106 . -319)) ((33 . 4) (34 . 5) (35 . 6) (177 . 22) (36 . 23) (203 . 115)
    (192 . 471) (115 . -309) (106 . -309)) ((1 . -300)) ((12 . 66) (242 . 470)
    ) ((1 . -290)) ((120 . 469) (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) 
    (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) 
    (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) (57 . 21) 
    (177 . 22) (36 . 23) (37 . 24) (38 . 25) (39 . 26) (40 . 27) (41 . 28) 
    (58 . 29) (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) 
    (61 . 36) (200 . 37) (201 . 38) (202 . 39) (62 . 40) (63 . 41) (64 . 42) 
    (65 . 43) (67 . 44) (203 . 45) (204 . 46) (205 . 47) (206 . 48) (207 . 49)
    (208 . 50) (3 . 51) (4 . 52) (5 . 53) (228 . 54) (211 . 55) (71 . 56) 
    (66 . 57) (144 . 58) (143 . 59) (190 . 60) (138 . 61) (122 . 62) (123 . 63
    ) (113 . -436)) ((113 . 616)) ((115 . -315) (106 . -315)) ((33 . 4) 
    (34 . 5) (35 . 6) (177 . 22) (36 . 23) (203 . 131) (115 . -312) (106 . 
    -312)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) 
    (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) 
    (52 . 17) (53 . 18) (55 . 19) (54 . 20) (57 . 21) (177 . 22) (36 . 23) 
    (37 . 24) (38 . 25) (39 . 26) (40 . 27) (41 . 28) (58 . 29) (59 . 30) 
    (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) (200 . 37)
    (201 . 38) (202 . 39) (62 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 77) 
    (67 . 44) (203 . 45) (204 . 46) (205 . 47) (206 . 48) (207 . 49) (208 . 82
    ) (12 . 66) (116 . 67) (242 . 68) (103 . 69) (164 . 70) (165 . 71) 
    (182 . 217) (1 . -97)) ((106 . -308) (115 . -308)) ((115 . -306)) (
    (111 . 615)) ((1 . -41)) ((1 . -40)) ((1 . -39)) ((103 . 455) (98 . 456) 
    (97 . 457) (1 . -44)) ((103 . 455) (98 . 456) (97 . 457) (1 . -43)) 
    ((102 . 453) (101 . 454) (1 . -47)) ((102 . 453) (101 . 454) (1 . -46)) 
    ((96 . 451) (95 . 452) (1 . -52)) ((96 . 451) (95 . 452) (1 . -51)) 
    ((96 . 451) (95 . 452) (1 . -50)) ((96 . 451) (95 . 452) (1 . -49)) 
    ((94 . 447) (93 . 448) (92 . 449) (91 . 450) (1 . -55)) ((94 . 447) 
    (93 . 448) (92 . 449) (91 . 450) (1 . -54)) ((90 . 445) (89 . 446) 
    (1 . -57)) ((104 . 444) (1 . -59)) ((88 . 443) (1 . -61)) ((87 . 442) 
    (1 . -63)) ((114 . 530) (13 . 167) (119 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175) (241 . 
    176) (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182
    ) (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (116 . 243) (226 . 278) (224 . 614)) ((86 . 441) (1 . -65)) 
    ((83 . 613) (106 . 369)) ((1 . -69)) ((1 . -297)) ((111 . 612)) ((1 . -291
    )) ((113 . 611)) ((3 . -373) (4 . -373) (1 . -373)) ((33 . 4) (34 . 5) 
    (35 . 6) (177 . 22) (36 . 23) (203 . 609) (224 . 232) (223 . 233) (222 . 
    234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) (119 . 168
    ) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (217 . 
    239) (216 . 240) (240 . 175) (241 . 176) (215 . 241) (99 . 178) (100 . 179
    ) (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) 
    (214 . 244) (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) 
    (226 . 245) (213 . 246) (12 . 66) (16 . 199) (230 . 283) (3 . 51) (4 . 52)
    (166 . 391) (17 . 392) (18 . 393) (19 . 394) (20 . 395) (21 . 396) 
    (22 . 397) (23 . 398) (24 . 399) (27 . 400) (71 . 401) (239 . 402) 
    (114 . 201) (28 . 403) (29 . 404) (242 . 405) (143 . 407) (144 . 408) 
    (145 . 409) (146 . 410) (147 . 411) (148 . 412) (149 . 413) (150 . 414) 
    (151 . 415) (142 . 610)) ((83 . 608)) ((224 . 232) (223 . 233) (222 . 234)
    (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) (119 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (217 . 239)
    (216 . 240) (240 . 175) (241 . 176) (215 . 241) (99 . 178) (100 . 179) 
    (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) 
    (214 . 244) (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) 
    (226 . 245) (213 . 246) (12 . 66) (16 . 199) (230 . 283) (3 . 51) (4 . 52)
    (166 . 391) (17 . 392) (18 . 393) (19 . 394) (20 . 395) (21 . 396) 
    (22 . 397) (23 . 398) (24 . 399) (27 . 400) (71 . 401) (239 . 402) 
    (114 . 201) (28 . 403) (29 . 404) (242 . 405) (143 . 407) (144 . 408) 
    (145 . 409) (146 . 410) (147 . 411) (148 . 412) (149 . 413) (150 . 414) 
    (151 . 415) (142 . 607)) ((4 . -376) (3 . -376) (1 . -376)) ((224 . 232) 
    (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) 
    (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) (241 . 176) 
    (242 . 177) (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) 
    (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) (105 . 186) 
    (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) 
    (230 . 283) (239 . 606)) ((224 . 232) (223 . 233) (222 . 234) (221 . 235) 
    (220 . 236) (219 . 237) (13 . 167) (218 . 238) (119 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) (217 . 239)
    (216 . 240) (240 . 175) (241 . 176) (242 . 177) (215 . 241) (99 . 178) 
    (100 . 179) (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 243) 
    (235 . 185) (214 . 244) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (226 . 245) (213 . 246) (230 . 283) (239 . 605)) ((224 . 232) 
    (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) 
    (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) (241 . 176) 
    (242 . 177) (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) 
    (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) (105 . 186) 
    (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) 
    (230 . 283) (239 . 604)) ((23 . 603)) ((224 . 232) (223 . 233) (222 . 234)
    (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) (119 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) 
    (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) 
    (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) 
    (53 . 18) (55 . 19) (54 . 20) (57 . 21) (217 . 239) (177 . 22) (36 . 23) 
    (37 . 24) (38 . 25) (39 . 26) (40 . 27) (41 . 28) (58 . 29) (59 . 30) 
    (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) (200 . 37)
    (201 . 38) (202 . 39) (62 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 77) 
    (67 . 44) (216 . 240) (240 . 175) (241 . 176) (242 . 177) (203 . 45) 
    (204 . 46) (205 . 47) (206 . 48) (207 . 49) (215 . 241) (99 . 178) 
    (100 . 179) (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 243) 
    (235 . 185) (208 . 50) (214 . 244) (105 . 186) (225 . 187) (107 . 188) 
    (108 . 189) (234 . 190) (228 . 406) (226 . 245) (213 . 246) (211 . 55) 
    (230 . 283) (138 . 599) (71 . 600) (239 . 601) (137 . 602)) ((71 . 598)) 
    ((4 . -390) (3 . -390) (1 . -390)) ((4 . -391) (3 . -391) (1 . -391)) 
    ((71 . 597) (106 . 369)) ((4 . -393) (3 . -393) (1 . -393)) ((4 . -394) 
    (3 . -394) (1 . -394)) ((83 . 593) (130 . 594) (134 . 595) (115 . 596)) 
    ((224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) 
    (13 . 167) (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) 
    (241 . 176) (242 . 177) (215 . 241) (99 . 178) (100 . 179) (101 . 180) 
    (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) 
    (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) 
    (213 . 246) (114 . 259) (230 . 260) (167 . 590) (110 . 381) (112 . 382) 
    (152 . 383) (153 . 384) (154 . 591) (113 . 592)) ((1 . -344)) ((106 . -346
    ) (113 . -346)) ((1 . -350)) ((1 . -352)) ((111 . 589)) ((1 . -354)) 
    ((1 . -9)) ((1 . -10)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) 
    (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) 
    (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) (57 . 21) 
    (177 . 22) (36 . 23) (37 . 24) (38 . 25) (39 . 26) (40 . 27) (41 . 28) 
    (58 . 29) (59 . 30) (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) 
    (61 . 36) (200 . 37) (201 . 38) (202 . 39) (62 . 40) (63 . 41) (64 . 42) 
    (65 . 43) (66 . 77) (67 . 44) (203 . 45) (204 . 46) (205 . 47) (206 . 48) 
    (207 . 49) (208 . 50) (228 . 375) (229 . 587) (224 . 232) (223 . 233) 
    (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) 
    (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 66) (217 . 239) (216 . 240) (240 . 175) (241 . 176) (242 . 177) 
    (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (116 . 243) (235 . 185) (214 . 244) (105 . 186) (225 . 187) 
    (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) (230 . 588)) 
    ((115 . -22) (106 . -22)) ((114 . 530) (1 . -29)) ((224 . 232) (223 . 233)
    (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) 
    (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 66) (217 . 239) (216 . 240) (240 . 175) (241 . 176) (242 . 177) 
    (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (116 . 243) (235 . 185) (110 . 381) (112 . 382) (214 . 244) 
    (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) (152 . 383) 
    (226 . 245) (213 . 246) (153 . 384) (114 . 259) (230 . 260) (167 . 385) 
    (154 . 386) (231 . 586)) ((1 . -82)) ((236 . 585) (224 . 232) (223 . 233) 
    (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) 
    (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (217 . 239) (216 . 240) (240 . 175) (241 . 176) (30 . 3) (33 . 4) (34 . 5)
    (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13
    ) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (55 . 19) (54 . 20) 
    (57 . 21) (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) 
    (103 . 182) (104 . 183) (116 . 243) (235 . 185) (177 . 22) (36 . 23) 
    (37 . 24) (38 . 25) (39 . 26) (40 . 27) (41 . 28) (58 . 29) (59 . 30) 
    (60 . 31) (196 . 32) (197 . 33) (198 . 34) (199 . 35) (61 . 36) (200 . 37)
    (201 . 38) (202 . 39) (62 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 77) 
    (67 . 44) (214 . 244) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (203 . 45) (204 . 46) (205 . 47) (206 . 48) (207 . 49) 
    (226 . 245) (213 . 246) (12 . 66) (16 . 199) (208 . 50) (230 . 283) 
    (3 . 51) (4 . 52) (166 . 391) (17 . 392) (18 . 393) (19 . 394) (20 . 395) 
    (21 . 396) (22 . 397) (23 . 398) (24 . 399) (27 . 400) (71 . 401) (239 . 
    402) (114 . 201) (28 . 403) (29 . 404) (242 . 405) (228 . 406) (143 . 407)
    (144 . 408) (145 . 409) (146 . 410) (147 . 411) (148 . 412) (149 . 413) 
    (150 . 414) (151 . 415) (211 . 55) (142 . 416) (138 . 417) (139 . 501) 
    (113 . -7)) ((1 . -341)) ((224 . 232) (223 . 233) (222 . 234) (221 . 235) 
    (220 . 236) (219 . 237) (13 . 167) (218 . 238) (119 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) (217 . 239)
    (216 . 240) (240 . 175) (241 . 176) (242 . 177) (215 . 241) (99 . 178) 
    (100 . 179) (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 243) 
    (235 . 185) (214 . 244) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (226 . 245) (213 . 246) (230 . 584)) ((1 . -335)) ((111 . 583)
    ) ((224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237)
    (13 . 167) (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) 
    (241 . 176) (242 . 177) (215 . 241) (99 . 178) (100 . 179) (101 . 180) 
    (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) 
    (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) 
    (213 . 246) (230 . 581) (111 . 582)) ((1 . -336)) ((1 . -332)) ((1 . -321)
    ) ((39 . 26) (40 . 27) (41 . 28) (205 . 206) (160 . 207) (163 . 580)) 
    ((1 . -327)) ((111 . 579) (1 . -31)) ((111 . 578)) ((224 . 232) (223 . 233
    ) (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) 
    (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 66) (217 . 239) (216 . 240) (240 . 175) (241 . 176) (242 . 177) 
    (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (116 . 243) (235 . 185) (214 . 244) (105 . 186) (225 . 187) 
    (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) (230 . 575) 
    (111 . 576) (64 . 577)) ((1 . -323)) ((115 . 574)) ((116 . -258) (1 . -247
    )) ((116 . 573)) ((116 . -259) (115 . -266) (106 . -266)) ((115 . -265) 
    (106 . -265)) ((115 . -264) (106 . -264)) ((115 . -263) (106 . -263)) 
    ((115 . -261) (106 . -261)) ((106 . 572) (115 . -260)) ((115 . 571)) 
    ((115 . -253) (106 . -253)) ((3 . -246) (4 . -246) (1 . -246)) ((1 . -188)
    ) ((33 . 4) (34 . 5) (35 . 6) (177 . 22) (36 . 23) (203 . 115) (192 . 569)
    (12 . 66) (116 . 67) (242 . 68) (103 . 69) (164 . 70) (165 . 71) (83 . 344
    ) (182 . 345) (183 . 346) (184 . 570)) ((33 . 4) (34 . 5) (35 . 6) 
    (177 . 22) (36 . 23) (203 . 131) (106 . -225) (71 . -225)) ((13 . 167) 
    (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 66) (240 . 175) (241 . 176) (242 . 177) (99 . 178) (100 . 179) 
    (101 . 180) (102 . 181) (103 . 182) (104 . 183) (235 . 185) (105 . 186) 
    (225 . 187) (107 . 188) (108 . 189) (234 . 190) (116 . 243) (226 . 278) 
    (224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) 
    (218 . 238) (217 . 239) (216 . 240) (215 . 241) (214 . 244) (213 . 333) 
    (181 . 568)) ((106 . -227) (71 . -227)) ((5 . -205) (1 . -205)) ((1 . -191
    )) ((113 . -238) (106 . -238)) ((1 . -229)) ((106 . -226) (71 . -226)) 
    ((12 . 66) (116 . 67) (242 . 68) (103 . 69) (164 . 70) (165 . 71) (83 . 
    344) (182 . 345) (183 . 346) (184 . 647) (33 . 4) (34 . 5) (35 . 6) 
    (177 . 22) (36 . 23) (203 . 131)) ((106 . -221) (71 . -221)) ((115 . -256)
    (106 . -256)) ((30 . 3) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) 
    (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) 
    (55 . 19) (54 . 20) (57 . 21) (36 . 23) (37 . 24) (38 . 25) (39 . 26) 
    (40 . 27) (41 . 28) (58 . 29) (59 . 30) (60 . 31) (196 . 32) (197 . 33) 
    (198 . 34) (199 . 35) (61 . 36) (200 . 37) (201 . 38) (202 . 39) (62 . 40)
    (63 . 41) (64 . 42) (65 . 43) (66 . 77) (67 . 44) (203 . 45) (204 . 46) 
    (205 . 161) (206 . 162) (207 . 49) (13 . 167) (33 . 4) (34 . 5) (35 . 6) 
    (185 . 163) (208 . 50) (119 . 168) (12 . 66) (228 . 164) (156 . 165) 
    (177 . 548) (174 . 549) (242 . 550) (240 . 551) (32 . 552) (232 . 553) 
    (171 . 646)) ((30 . 3) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) 
    (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) 
    (55 . 19) (54 . 20) (57 . 21) (36 . 23) (37 . 24) (38 . 25) (39 . 26) 
    (40 . 27) (41 . 28) (58 . 29) (59 . 30) (60 . 31) (196 . 32) (197 . 33) 
    (198 . 34) (199 . 35) (61 . 36) (200 . 37) (201 . 38) (202 . 39) (62 . 40)
    (63 . 41) (64 . 42) (65 . 43) (66 . 77) (67 . 44) (203 . 45) (204 . 46) 
    (205 . 161) (206 . 162) (207 . 49) (13 . 167) (33 . 4) (34 . 5) (35 . 6) 
    (185 . 163) (208 . 50) (119 . 168) (12 . 66) (228 . 164) (156 . 165) 
    (177 . 548) (174 . 549) (242 . 550) (240 . 551) (32 . 552) (232 . 553) 
    (171 . 554) (172 . 555) (173 . 645)) ((1 . -322)) ((111 . 644)) ((1 . -325
    )) ((224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237
    ) (13 . 167) (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) 
    (10 . 172) (11 . 173) (32 . 174) (12 . 66) (217 . 239) (216 . 240) 
    (240 . 175) (241 . 176) (242 . 177) (215 . 241) (99 . 178) (100 . 179) 
    (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) 
    (214 . 244) (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) 
    (226 . 245) (213 . 246) (230 . 643)) ((1 . -326)) ((1 . -331)) ((111 . 641
    ) (224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) 
    (13 . 167) (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) 
    (241 . 176) (242 . 177) (215 . 241) (99 . 178) (100 . 179) (101 . 180) 
    (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) 
    (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) 
    (213 . 246) (230 . 642)) ((111 . 640)) ((1 . -339)) ((1 . -334)) ((111 . 
    639)) ((113 . 638)) ((113 . 636) (106 . 637)) ((115 . -21) (106 . -21)) 
    ((115 . -19) (106 . -19)) ((1 . -353)) ((106 . -349) (113 . -349)) 
    ((224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) 
    (13 . 167) (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) 
    (241 . 176) (242 . 177) (215 . 241) (99 . 178) (100 . 179) (101 . 180) 
    (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) 
    (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) 
    (213 . 246) (114 . 259) (230 . 260) (167 . 635)) ((1 . -345)) ((13 . 167) 
    (119 . 168) (112 . 632) (240 . 633) (129 . 634) (1 . -406)) ((106 . 631) 
    (115 . -405) (83 . -405)) ((115 . 627) (83 . 628) (128 . 629) (133 . 630))
    ((1 . -395)) ((4 . -392) (3 . -392) (1 . -392)) ((4 . -389) (3 . -389) 
    (1 . -389)) ((1 . -386)) ((1 . -385)) ((71 . 626) (106 . 369)) ((224 . 232
    ) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) 
    (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) (241 . 176) 
    (242 . 177) (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) 
    (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) (105 . 186) 
    (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) 
    (230 . 283) (239 . 624) (136 . 625) (71 . -387)) ((116 . 623)) ((115 . 622
    ) (106 . 369)) ((115 . 621) (106 . 369)) ((106 . 369) (115 . 620)) 
    ((4 . -367) (3 . -367) (1 . -367)) ((224 . 232) (223 . 233) (222 . 234) 
    (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) (119 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (217 . 239)
    (216 . 240) (240 . 175) (241 . 176) (215 . 241) (99 . 178) (100 . 179) 
    (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) 
    (214 . 244) (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) 
    (226 . 245) (213 . 246) (12 . 66) (16 . 199) (230 . 283) (3 . 51) (4 . 52)
    (166 . 391) (17 . 392) (18 . 393) (19 . 394) (20 . 395) (21 . 396) 
    (22 . 397) (23 . 398) (24 . 399) (27 . 400) (71 . 401) (239 . 402) 
    (114 . 201) (28 . 403) (29 . 404) (242 . 405) (143 . 407) (144 . 408) 
    (145 . 409) (146 . 410) (147 . 411) (148 . 412) (149 . 413) (150 . 414) 
    (151 . 415) (142 . 619)) ((224 . 232) (223 . 233) (222 . 234) (221 . 235) 
    (220 . 236) (219 . 237) (13 . 167) (218 . 238) (119 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (217 . 239) (216 . 
    240) (240 . 175) (241 . 176) (215 . 241) (99 . 178) (100 . 179) (101 . 180
    ) (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) 
    (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) 
    (213 . 246) (12 . 66) (16 . 199) (230 . 283) (3 . 51) (4 . 52) (166 . 391)
    (17 . 392) (18 . 393) (19 . 394) (20 . 395) (21 . 396) (22 . 397) (23 . 
    398) (24 . 399) (27 . 400) (71 . 401) (239 . 402) (114 . 201) (28 . 403) 
    (29 . 404) (242 . 405) (143 . 407) (144 . 408) (145 . 409) (146 . 410) 
    (147 . 411) (148 . 412) (149 . 413) (150 . 414) (151 . 415) (142 . 618)) 
    ((4 . -364) (3 . -364) (1 . -364)) ((4 . -368) (3 . -368) (5 . -368) 
    (1 . -368)) ((1 . -296)) ((13 . 167) (119 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 66) (240 . 175) (241 . 
    176) (242 . 177) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182
    ) (104 . 183) (235 . 185) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (116 . 243) (226 . 278) (224 . 232) (223 . 233) (222 . 234) 
    (221 . 235) (220 . 236) (219 . 237) (218 . 238) (217 . 239) (216 . 240) 
    (215 . 241) (214 . 244) (213 . 617)) ((1 . -37)) ((1 . -295)) ((5 . -433) 
    (4 . -433) (3 . -433) (1 . -433)) ((1 . -67)) ((4 . -365) (3 . -365) 
    (1 . -365)) ((4 . -366) (3 . -366) (1 . -366)) ((224 . 232) (223 . 233) 
    (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) 
    (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (217 . 239) (216 . 240) (240 . 175) (241 . 176) (215 . 241) (99 . 178) 
    (100 . 179) (101 . 180) (102 . 181) (103 . 182) (104 . 183) (116 . 243) 
    (235 . 185) (214 . 244) (105 . 186) (225 . 187) (107 . 188) (108 . 189) 
    (234 . 190) (226 . 245) (213 . 246) (12 . 66) (16 . 199) (230 . 283) 
    (3 . 51) (4 . 52) (166 . 391) (17 . 392) (18 . 393) (19 . 394) (20 . 395) 
    (21 . 396) (22 . 397) (23 . 398) (24 . 399) (27 . 400) (71 . 401) (239 . 
    402) (114 . 201) (28 . 403) (29 . 404) (242 . 405) (143 . 407) (144 . 408)
    (145 . 409) (146 . 410) (147 . 411) (148 . 412) (149 . 413) (150 . 414) 
    (151 . 415) (142 . 668)) ((224 . 232) (223 . 233) (222 . 234) (221 . 235) 
    (220 . 236) (219 . 237) (13 . 167) (218 . 238) (119 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (217 . 239) (216 . 
    240) (240 . 175) (241 . 176) (215 . 241) (99 . 178) (100 . 179) (101 . 180
    ) (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) 
    (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) 
    (213 . 246) (12 . 66) (16 . 199) (230 . 283) (3 . 51) (4 . 52) (166 . 391)
    (17 . 392) (18 . 393) (19 . 394) (20 . 395) (21 . 396) (22 . 397) (23 . 
    398) (24 . 399) (27 . 400) (71 . 401) (239 . 402) (114 . 201) (28 . 403) 
    (29 . 404) (242 . 405) (143 . 407) (144 . 408) (145 . 409) (146 . 410) 
    (147 . 411) (148 . 412) (149 . 413) (150 . 414) (151 . 415) (142 . 667)) 
    ((224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) 
    (13 . 167) (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (217 . 239) (216 . 240) (240 . 175) (241 . 176) 
    (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (116 . 243) (235 . 185) (214 . 244) (105 . 186) (225 . 187) 
    (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) (12 . 66) 
    (16 . 199) (230 . 283) (3 . 51) (4 . 52) (166 . 391) (17 . 392) (18 . 393)
    (19 . 394) (20 . 395) (21 . 396) (22 . 397) (23 . 398) (24 . 399) (27 . 
    400) (71 . 401) (239 . 402) (114 . 201) (28 . 403) (29 . 404) (242 . 405) 
    (143 . 407) (144 . 408) (145 . 409) (146 . 410) (147 . 411) (148 . 412) 
    (149 . 413) (150 . 414) (151 . 415) (142 . 666)) ((224 . 232) (223 . 233) 
    (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) 
    (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 66) (217 . 239) (216 . 240) (240 . 175) (241 . 176) (242 . 177) 
    (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (116 . 243) (235 . 185) (214 . 244) (105 . 186) (225 . 187) 
    (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) (230 . 283) 
    (239 . 665)) ((106 . 369) (71 . -388) (115 . -388)) ((71 . 664)) ((1 . 
    -384)) ((1 . -396)) ((13 . 167) (119 . 168) (112 . 661) (240 . 662) 
    (127 . 663) (1 . -412)) ((106 . 660) (83 . -411) (115 . -411)) ((83 . 656)
    (126 . 657) (132 . 658) (115 . 659)) ((13 . 167) (119 . 168) (112 . 632) 
    (240 . 633) (129 . 655)) ((12 . 66) (242 . 654)) ((116 . 653)) ((1 . -407)
    ) ((106 . -348) (113 . -348)) ((1 . -16)) ((113 . 652) (224 . 232) 
    (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) 
    (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) (241 . 176) 
    (242 . 177) (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) 
    (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) (105 . 186) 
    (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) 
    (114 . 259) (230 . 260) (167 . 590) (110 . 381) (112 . 382) (152 . 383) 
    (153 . 384) (154 . 591)) ((115 . 651)) ((1 . -340)) ((1 . -338)) ((1 . 
    -329)) ((111 . 650)) ((111 . 649)) ((1 . -324)) ((115 . 648)) ((115 . -262
    ) (106 . -262)) ((106 . -222) (71 . -222)) ((115 . -267) (106 . -267)) 
    ((1 . -330)) ((1 . -328)) ((1 . -5)) ((1 . -17)) ((12 . 66) (242 . 682)) 
    ((111 . 681)) ((1 . -408)) ((13 . 167) (119 . 168) (240 . 680) (1 . -418))
    ((106 . 679) (115 . -417) (83 . -417)) ((115 . 675) (83 . 676) (125 . 677)
    (131 . 678)) ((1 . -397)) ((13 . 167) (119 . 168) (112 . 661) (240 . 662) 
    (127 . 674)) ((12 . 66) (242 . 673)) ((116 . 672)) ((1 . -413)) ((224 . 
    232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167
    ) (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) 
    (11 . 173) (32 . 174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) 
    (241 . 176) (242 . 177) (215 . 241) (99 . 178) (100 . 179) (101 . 180) 
    (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) 
    (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) 
    (213 . 246) (230 . 283) (239 . 624) (136 . 671) (115 . -387)) ((115 . 670)
    (106 . 369)) ((4 . -381) (3 . -381) (1 . -381)) ((4 . -380) (3 . -380) 
    (1 . -380)) ((25 . 669) (4 . -378) (3 . -378) (1 . -378)) ((224 . 232) 
    (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) 
    (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (217 . 239) (216 . 240) (240 . 175) (241 . 176) (215 . 241) 
    (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) (104 . 183) 
    (116 . 243) (235 . 185) (214 . 244) (105 . 186) (225 . 187) (107 . 188) 
    (108 . 189) (234 . 190) (226 . 245) (213 . 246) (12 . 66) (16 . 199) 
    (230 . 283) (3 . 51) (4 . 52) (166 . 391) (17 . 392) (18 . 393) (19 . 394)
    (20 . 395) (21 . 396) (22 . 397) (23 . 398) (24 . 399) (27 . 400) (71 . 
    401) (239 . 402) (114 . 201) (28 . 403) (29 . 404) (242 . 405) (143 . 407)
    (144 . 408) (145 . 409) (146 . 410) (147 . 411) (148 . 412) (149 . 413) 
    (150 . 414) (151 . 415) (142 . 693)) ((71 . 692)) ((115 . 691)) ((224 . 
    232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167
    ) (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) 
    (11 . 173) (32 . 174) (12 . 66) (217 . 239) (216 . 240) (240 . 175) 
    (241 . 176) (242 . 177) (215 . 241) (99 . 178) (100 . 179) (101 . 180) 
    (102 . 181) (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) 
    (105 . 186) (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) 
    (213 . 246) (230 . 283) (239 . 690)) ((111 . 689)) ((1 . -414)) ((1 . -398
    )) ((12 . 66) (242 . 688) (115 . -422) (106 . -422)) ((106 . 687) (115 . 
    -421)) ((115 . 686)) ((13 . 167) (119 . 168) (240 . 685)) ((1 . -419)) 
    ((13 . 167) (119 . 168) (240 . 684)) ((115 . 683)) ((1 . -409)) ((116 . 
    698)) ((1 . -420)) ((1 . -399)) ((12 . 66) (242 . 697)) ((115 . -423) 
    (106 . -423)) ((13 . 167) (119 . 168) (240 . 696)) ((115 . 695) (106 . 369
    )) ((224 . 232) (223 . 233) (222 . 234) (221 . 235) (220 . 236) (219 . 237
    ) (13 . 167) (218 . 238) (119 . 168) (7 . 169) (8 . 170) (9 . 171) 
    (10 . 172) (11 . 173) (32 . 174) (217 . 239) (216 . 240) (240 . 175) 
    (241 . 176) (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) 
    (103 . 182) (104 . 183) (116 . 243) (235 . 185) (214 . 244) (105 . 186) 
    (225 . 187) (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) 
    (12 . 66) (16 . 199) (230 . 283) (3 . 51) (4 . 52) (166 . 391) (17 . 392) 
    (18 . 393) (19 . 394) (20 . 395) (21 . 396) (22 . 397) (23 . 398) (24 . 
    399) (27 . 400) (71 . 401) (239 . 402) (114 . 201) (28 . 403) (29 . 404) 
    (242 . 405) (143 . 407) (144 . 408) (145 . 409) (146 . 410) (147 . 411) 
    (148 . 412) (149 . 413) (150 . 414) (151 . 415) (142 . 694)) ((4 . -382) 
    (3 . -382) (1 . -382)) ((4 . -379) (3 . -379) (1 . -379)) ((4 . -383) 
    (3 . -383) (1 . -383)) ((1 . -415)) ((116 . 700)) ((115 . -424) (106 . 
    -424)) ((12 . 66) (242 . 699)) ((115 . 702)) ((224 . 232) (223 . 233) 
    (222 . 234) (221 . 235) (220 . 236) (219 . 237) (13 . 167) (218 . 238) 
    (119 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 66) (217 . 239) (216 . 240) (240 . 175) (241 . 176) (242 . 177) 
    (215 . 241) (99 . 178) (100 . 179) (101 . 180) (102 . 181) (103 . 182) 
    (104 . 183) (116 . 243) (235 . 185) (214 . 244) (105 . 186) (225 . 187) 
    (107 . 188) (108 . 189) (234 . 190) (226 . 245) (213 . 246) (230 . 283) 
    (239 . 701)) ((115 . 703) (106 . 369)) ((1 . -410)) ((1 . -416))))

(define c99-tables
  (list
   (cons 'mtab c99-mtab)
   (cons 'ntab c99-ntab)
   (cons 'len-v c99-len-v)
   (cons 'rto-v c99-rto-v)
   (cons 'pat-v c99-pat-v)
   ))

;;; end tables
