;; c99x-tab.scm

;; Copyright (C) 2016-2020 Matthew R. Wette
;; 
;; This library is free software; you can redistribute it and/or
;; modify it under the terms of the GNU Lesser General Public
;; License as published by the Free Software Foundation; either
;; version 3 of the License, or (at your option) any later version.
;; See the file COPYING included with the this distribution.

(define c99x-mtab
  '(($start . 239) ($pragma . 3) (cpp-stmt . 4) ($lone-comm . 5) ($code-comm 
    . 6) ($chlit/U . 7) ($chlit/u . 8) ($chlit/L . 9) ($chlit . 10) ($float . 
    11) ($ident . 12) ($string . 13) ("__goto__" . 14) ("__volatile__" . 15) 
    ("__asm__" . 16) ("return" . 17) ("break" . 18) ("continue" . 19) ("goto" 
    . 20) ("for" . 21) ("do" . 22) ("while" . 23) ("switch" . 24) ("else" . 25
    ) (then . 26) ("if" . 27) ("default" . 28) ("case" . 29) (typename . 30) 
    ("..." . 31) ($fixed . 32) ("__alignof__" . 33) ("__aligned__" . 34) 
    ("__packed__" . 35) ("__attribute__" . 36) ("_Noreturn" . 37) ("inline" . 
    38) ("restrict" . 39) ("volatile" . 40) ("const" . 41) ("enum" . 42) 
    ("union" . 43) ("struct" . 44) ("_Sat" . 45) ("_Accum" . 46) ("_Fract" . 
    47) ("_Complex" . 48) ("double" . 49) ("float" . 50) ("char" . 51) 
    ("unsigned" . 52) ("long" . 53) ("signed" . 54) ("int" . 55) (imp . 56) 
    ("short" . 57) ("__typeof__" . 58) ("__typeof" . 59) ("typeof" . 60) 
    ("_Bool" . 61) ("void" . 62) ("typedef" . 63) ("static" . 64) ("register" 
    . 65) ("extern" . 66) ("auto" . 67) (reduce-on-semi . 68) (reduce-on-attr 
    . 69) (shift-on-attr . 70) (";" . 71) ("|=" . 72) ("^=" . 73) ("&=" . 74) 
    (">>=" . 75) ("<<=" . 76) ("%=" . 77) ("/=" . 78) ("*=" . 79) ("-=" . 80) 
    ("+=" . 81) ("=" . 82) (":" . 83) ("?" . 84) ("||" . 85) ("&&" . 86) 
    ("|" . 87) ("^" . 88) ("!=" . 89) ("==" . 90) (">=" . 91) ("<=" . 92) 
    (">" . 93) ("<" . 94) (">>" . 95) ("<<" . 96) ("%" . 97) ("/" . 98) 
    ("!" . 99) ("~" . 100) ("-" . 101) ("+" . 102) ("*" . 103) ("&" . 104) 
    ("sizeof" . 105) ("," . 106) ("--" . 107) ("++" . 108) ("->" . 109) 
    ("." . 110) ("]" . 111) ("[" . 112) ("}" . 113) ("{" . 114) (")" . 115) 
    ("(" . 116) ($error . 2) ($end . 118)))

(define c99x-ntab
  '((119 . string-literal-1) (120 . $P6) (121 . $P5) (122 . 
    function-definition) (123 . external-declaration) (124 . 
    external-declaration-list) (125 . asm-gotos-1) (126 . asm-clobbers-1) 
    (127 . asm-input) (128 . asm-inputs-1) (129 . asm-output) (130 . 
    asm-outputs-1) (131 . asm-gotos) (132 . asm-clobbers) (133 . asm-inputs) 
    (134 . asm-outputs) (135 . opt-asm-qualifiers) (136 . opt-expression) 
    (137 . initial-clause) (138 . declaration) (139 . block-item) (140 . $P4) 
    (141 . $P3) (142 . statement) (143 . cpp-statement) (144 . pragma) 
    (145 . asm-statement) (146 . jump-statement) (147 . iteration-statement) 
    (148 . selection-statement) (149 . expression-statement) (150 . 
    compound-statement) (151 . labeled-statement) (152 . designator) (153 . 
    designator-list) (154 . designation) (155 . direct-abstract-declarator) 
    (156 . specifier-qualifier-list/no-attr) (157 . identifier-list-1) 
    (158 . parameter-declaration) (159 . parameter-list) (160 . 
    type-qualifier-list-1) (161 . identifier-list) (162 . parameter-type-list)
    (163 . type-qualifier-list) (164 . direct-declarator) (165 . pointer) 
    (166 . asm-expression) (167 . initializer) (168 . init-declarator-1) 
    (169 . init-declarator) (170 . init-declarator-list-1) (171 . 
    attribute-expr) (172 . attr-expr-list-1) (173 . attr-expr-list) (174 . 
    attr-word) (175 . attribute) (176 . attribute-list-1) (177 . attr-name) 
    (178 . attribute-list) (179 . enumerator) (180 . enumerator-list) (181 . 
    constant-expression) (182 . declarator) (183 . struct-declarator-1) 
    (184 . struct-declarator) (185 . specifier-qualifier-list/no-attr-1) 
    (186 . specifier-qualifier-list-1) (187 . struct-declarator-list) (188 . 
    specifier-qualifier-list) (189 . struct-declaration-no-comment) (190 . 
    lone-comment) (191 . struct-declaration) (192 . attribute-specifiers) 
    (193 . struct-declaration-list) (194 . ident-like) (195 . opt-attr-specs) 
    (196 . typedef-name) (197 . enum-specifier) (198 . 
    struct-or-union-specifier) (199 . complex-type-specifier) (200 . 
    fixpt-type-specifier) (201 . float-type-specifier) (202 . 
    fixed-type-specifier) (203 . attribute-specifier) (204 . 
    function-specifier) (205 . type-qualifier) (206 . type-specifier) (207 . 
    storage-class-specifier) (208 . declaration-specifiers-1) (209 . 
    init-declarator-list) (210 . code-comment) (211 . declaration-no-comment) 
    (212 . assignment-operator) (213 . conditional-expression) (214 . 
    logical-or-expression) (215 . logical-and-expression) (216 . 
    bitwise-or-expression) (217 . bitwise-xor-expression) (218 . 
    bitwise-and-expression) (219 . equality-expression) (220 . 
    relational-expression) (221 . shift-expression) (222 . additive-expression
    ) (223 . multiplicative-expression) (224 . cast-expression) (225 . 
    unary-operator) (226 . unary-expression) (227 . abstract-declarator) 
    (228 . declaration-specifiers) (229 . arg-expr-hack) (230 . 
    assignment-expression) (231 . initializer-list) (232 . type-name) (233 . 
    argument-expression-list) (234 . postfix-expression) (235 . 
    primary-expression) (236 . $P2) (237 . block-item-list) (238 . $P1) 
    (239 . expression) (240 . string-literal) (241 . constant) (242 . 
    identifier) (243 . translation-unit)))

(define c99x-len-v
  #(1 1 1 1 3 7 0 0 1 4 4 3 3 3 2 2 6 7 1 3 1 3 2 1 1 2 2 2 2 4 1 1 1 1 1 1 1
    4 1 3 3 3 1 3 3 1 3 3 1 3 3 3 3 1 3 3 1 3 1 3 1 3 1 3 1 3 1 5 1 3 1 1 1 1 
    1 1 1 1 1 1 1 1 3 1 2 3 2 1 1 1 2 1 2 1 2 1 2 1 2 1 1 1 1 1 1 1 1 1 1 1 1 
    1 1 4 4 4 4 4 4 1 2 2 3 1 1 2 1 2 2 3 2 3 3 4 3 2 2 1 3 2 4 3 1 2 2 1 1 2 
    1 2 2 3 2 1 2 3 2 3 3 2 3 2 1 2 3 2 3 3 2 3 3 2 3 4 3 4 4 3 4 3 2 3 4 3 4 
    4 3 4 6 5 3 6 5 3 1 1 0 1 1 1 2 2 1 2 2 3 2 1 1 1 2 1 2 1 2 1 1 2 1 2 1 3 
    4 1 1 2 3 2 5 6 4 5 2 1 3 1 2 3 4 1 1 1 1 1 1 2 6 1 1 1 1 1 1 3 2 1 4 1 1 
    1 1 1 3 1 1 1 1 4 1 1 3 4 1 1 3 2 4 2 4 3 2 1 3 2 3 2 2 1 1 3 4 5 4 4 3 6 
    6 5 4 4 4 3 1 1 2 1 3 1 3 2 2 1 3 1 1 3 2 1 2 1 1 3 4 3 5 4 4 3 6 5 6 4 3 
    2 4 3 3 2 5 4 5 3 1 1 3 4 2 1 4 3 2 1 2 3 2 1 1 1 1 1 1 1 1 1 3 4 4 3 5 2 
    0 0 1 2 1 1 2 1 5 7 5 5 7 8 2 1 1 0 1 3 2 2 3 2 2 5 6 7 8 9 0 1 1 1 1 1 1 
    2 3 4 7 1 1 2 3 4 7 1 1 2 3 1 1 2 3 1 0 2 1 1 1 1 1 7 1 0 0 3 1 1 1 1 1 1 
    1 1 1 2 1 1 1 1))

(define c99x-rto-v
  #(#f 235 235 235 235 235 238 236 234 234 234 234 234 234 234 234 234 234 
    233 233 233 233 229 229 226 226 226 226 226 226 225 225 225 225 225 225 
    224 224 223 223 223 223 222 222 222 221 221 221 220 220 220 220 220 219 
    219 219 218 218 217 217 216 216 215 215 214 214 213 213 230 230 212 212 
    212 212 212 212 212 212 212 212 212 239 239 181 138 138 211 211 228 208 
    208 208 208 208 208 208 208 208 208 207 207 207 207 207 206 206 206 206 
    206 206 206 206 206 206 206 206 206 206 206 202 202 202 202 202 202 202 
    202 202 202 202 202 202 202 202 202 202 202 202 202 202 202 202 202 202 
    202 201 201 201 199 199 199 199 200 200 200 200 200 200 200 200 200 200 
    200 200 200 200 200 200 200 200 200 200 200 200 200 200 200 200 200 200 
    200 200 200 200 200 200 200 200 198 198 198 198 198 198 194 194 195 195 
    193 193 193 193 193 193 191 191 189 189 188 186 186 186 186 186 186 156 
    185 185 185 185 187 187 187 184 183 183 183 183 197 197 197 197 197 180 
    180 179 179 179 179 205 205 205 204 204 192 192 203 203 177 177 177 178 
    176 176 176 175 175 175 174 174 173 172 172 171 171 171 171 171 209 170 
    170 170 169 168 168 168 168 168 168 168 182 182 165 165 165 165 165 165 
    164 164 164 164 164 164 164 164 164 164 164 164 164 164 163 160 160 162 
    162 159 159 158 158 158 158 161 157 157 232 232 227 227 227 155 155 155 
    155 155 155 155 155 155 155 155 155 155 155 155 155 155 155 155 155 155 
    196 167 167 167 231 231 231 231 154 153 153 152 152 142 142 142 142 142 
    142 142 142 142 151 151 151 151 150 150 141 140 237 237 139 139 149 149 
    148 148 148 147 147 147 137 137 137 136 136 146 146 146 146 146 145 166 
    166 166 166 166 135 135 135 135 135 134 130 130 130 129 129 133 128 128 
    128 127 127 132 126 126 126 131 125 125 125 243 124 124 123 123 123 123 
    123 123 123 121 120 122 242 241 241 241 241 241 241 240 119 119 210 190 
    143 144))

(define c99x-pat-v
  #(((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) 
    (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) 
    (32 . 15) (12 . 16) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21)
    (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28
    ) (116 . 29) (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) 
    (108 . 35) (234 . 36) (226 . 37) (213 . 38) (230 . 39) (239 . 40)) 
    ((1 . -38)) ((103 . 139) (98 . 140) (97 . 141) (1 . -42)) ((102 . 137) 
    (101 . 138) (1 . -45)) ((96 . 135) (95 . 136) (1 . -48)) ((94 . 131) 
    (93 . 132) (92 . 133) (91 . 134) (1 . -53)) ((90 . 129) (89 . 130) 
    (1 . -56)) ((1 . -446)) ((104 . 128) (1 . -58)) ((13 . 127) (1 . -445)) 
    ((1 . -444)) ((1 . -443)) ((1 . -442)) ((1 . -441)) ((1 . -440)) ((1 . 
    -439)) ((1 . -438)) ((88 . 126) (1 . -60)) ((87 . 125) (1 . -62)) (
    (1 . -3)) ((1 . -2)) ((1 . -1)) ((86 . 124) (1 . -64)) ((1 . -35)) 
    ((1 . -34)) ((1 . -33)) ((1 . -32)) ((1 . -31)) ((1 . -30)) ((224 . 1) 
    (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) 
    (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) 
    (12 . 16) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22
    ) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) 
    (116 . 29) (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 
    35) (234 . 36) (226 . 37) (213 . 38) (230 . 39) (239 . 69) (114 . 70) 
    (30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75) (43 . 76) (44 . 77) 
    (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) 
    (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) (177 . 90) (36 . 91) 
    (37 . 92) (38 . 93) (39 . 94) (40 . 95) (41 . 96) (58 . 97) (59 . 98) 
    (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 103) (61 . 104) 
    (200 . 105) (201 . 106) (202 . 107) (62 . 108) (63 . 109) (64 . 110) 
    (65 . 111) (66 . 112) (67 . 113) (203 . 114) (204 . 115) (205 . 116) 
    (206 . 117) (207 . 118) (185 . 119) (208 . 120) (228 . 121) (156 . 122) 
    (232 . 123)) ((1 . -8)) ((84 . 67) (85 . 68) (1 . -66)) ((13 . 7) (119 . 9
    ) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (240 . 19) (241 . 20) (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26
    ) (103 . 27) (104 . 28) (235 . 30) (105 . 32) (225 . 33) (107 . 34) 
    (108 . 35) (234 . 36) (226 . 65) (116 . 66)) ((13 . 7) (119 . 9) (7 . 10) 
    (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (240 . 19) 
    (241 . 20) (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27
    ) (104 . 28) (235 . 30) (105 . 32) (225 . 33) (107 . 34) (108 . 35) 
    (234 . 36) (116 . 29) (226 . 63) (224 . 64)) ((13 . 7) (119 . 9) (7 . 10) 
    (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (240 . 19) 
    (241 . 20) (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27
    ) (104 . 28) (116 . 60) (235 . 30) (105 . 32) (225 . 33) (107 . 34) 
    (108 . 35) (234 . 36) (226 . 62)) ((13 . 7) (119 . 9) (7 . 10) (8 . 11) 
    (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (240 . 19) (241 . 20) 
    (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28
    ) (116 . 60) (235 . 30) (105 . 32) (225 . 33) (107 . 34) (108 . 35) 
    (234 . 36) (226 . 61)) ((112 . 54) (116 . 55) (110 . 56) (109 . 57) 
    (108 . 58) (107 . 59) (1 . -24)) ((72 . 42) (73 . 43) (74 . 44) (75 . 45) 
    (76 . 46) (77 . 47) (78 . 48) (79 . 49) (80 . 50) (81 . 51) (82 . 52) 
    (212 . 53) (1 . -36)) ((1 . -68)) ((1 . -81)) ((106 . 41) (118 . 0)) 
    ((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) 
    (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) 
    (32 . 15) (12 . 16) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21)
    (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28
    ) (116 . 29) (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) 
    (108 . 35) (234 . 36) (226 . 37) (213 . 38) (230 . 230)) ((1 . -80)) 
    ((1 . -79)) ((1 . -78)) ((1 . -77)) ((1 . -76)) ((1 . -75)) ((1 . -74)) 
    ((1 . -73)) ((1 . -72)) ((1 . -71)) ((1 . -70)) ((224 . 1) (223 . 2) 
    (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23
    ) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) 
    (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 
    36) (226 . 37) (213 . 38) (230 . 229)) ((224 . 1) (223 . 2) (222 . 3) 
    (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) 
    (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (217 . 17) 
    (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23) (100 . 24
    ) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 30) 
    (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (226 . 
    37) (213 . 38) (230 . 39) (239 . 228)) ((115 . 223) (224 . 1) (223 . 2) 
    (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75) (43 . 76) (44 . 77) 
    (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) 
    (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) (217 . 17) (177 . 90) 
    (36 . 91) (37 . 92) (38 . 93) (39 . 94) (40 . 95) (41 . 96) (58 . 97) 
    (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 103) 
    (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) (63 . 109) 
    (64 . 110) (65 . 111) (66 . 112) (67 . 113) (216 . 18) (240 . 19) (241 . 
    20) (242 . 21) (203 . 114) (204 . 115) (205 . 166) (206 . 167) (207 . 118)
    (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28
    ) (116 . 29) (235 . 30) (208 . 120) (214 . 31) (105 . 32) (225 . 33) 
    (107 . 34) (108 . 35) (234 . 36) (226 . 37) (213 . 38) (228 . 224) 
    (229 . 225) (230 . 226) (233 . 227)) ((12 . 16) (242 . 222)) ((12 . 16) 
    (242 . 221)) ((1 . -14)) ((1 . -15)) ((30 . 71) (33 . 72) (34 . 73) 
    (35 . 74) (42 . 75) (43 . 76) (44 . 77) (45 . 78) (46 . 79) (47 . 80) 
    (48 . 81) (49 . 82) (50 . 83) (51 . 84) (52 . 85) (53 . 86) (55 . 87) 
    (54 . 88) (57 . 89) (177 . 90) (36 . 91) (37 . 92) (38 . 93) (39 . 94) 
    (40 . 95) (41 . 96) (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) 
    (198 . 102) (199 . 103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) 
    (62 . 108) (63 . 109) (64 . 110) (65 . 111) (66 . 112) (67 . 113) (203 . 
    114) (204 . 115) (205 . 116) (206 . 117) (207 . 118) (185 . 119) (208 . 
    120) (228 . 121) (156 . 122) (232 . 220) (224 . 1) (223 . 2) (222 . 3) 
    (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) 
    (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (217 . 17) 
    (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23) (100 . 24
    ) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 30) 
    (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (226 . 
    37) (213 . 38) (230 . 39) (239 . 69) (114 . 70)) ((1 . -25)) ((1 . -26)) 
    ((1 . -36)) ((1 . -27)) ((1 . -28)) ((30 . 71) (33 . 72) (34 . 73) 
    (35 . 74) (42 . 75) (43 . 76) (44 . 77) (45 . 78) (46 . 79) (47 . 80) 
    (48 . 81) (49 . 82) (50 . 83) (51 . 84) (52 . 85) (53 . 86) (55 . 87) 
    (54 . 88) (57 . 89) (177 . 90) (36 . 91) (37 . 92) (38 . 93) (39 . 94) 
    (40 . 95) (41 . 96) (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) 
    (198 . 102) (199 . 103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) 
    (62 . 108) (63 . 109) (64 . 110) (65 . 111) (66 . 112) (67 . 113) (203 . 
    114) (204 . 115) (205 . 116) (206 . 117) (207 . 118) (185 . 119) (208 . 
    120) (228 . 121) (156 . 122) (232 . 219) (224 . 1) (223 . 2) (222 . 3) 
    (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) 
    (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (217 . 17) 
    (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23) (100 . 24
    ) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 30) 
    (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (226 . 
    37) (213 . 38) (230 . 39) (239 . 69) (114 . 70)) ((224 . 1) (223 . 2) 
    (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23
    ) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) 
    (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 
    36) (226 . 37) (213 . 38) (230 . 39) (239 . 218)) ((13 . 7) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (240 . 19) (241 . 20) (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26
    ) (103 . 27) (104 . 28) (235 . 30) (105 . 32) (225 . 33) (107 . 34) 
    (108 . 35) (234 . 36) (116 . 29) (226 . 63) (224 . 1) (223 . 2) (222 . 3) 
    (221 . 4) (220 . 5) (219 . 6) (218 . 8) (217 . 17) (216 . 18) (215 . 217))
    ((115 . 216) (106 . 41)) ((238 . 215) (3 . -6) (4 . -6) (1 . -6)) (
    (1 . -342)) ((4 . -250) (3 . -250) (1 . -250)) ((4 . -249) (3 . -249) 
    (1 . -249)) ((4 . -248) (3 . -248) (1 . -248)) ((114 . 211) (12 . 16) 
    (30 . 71) (196 . 212) (242 . 213) (194 . 214)) ((33 . 72) (34 . 73) 
    (35 . 74) (177 . 90) (36 . 91) (203 . 207) (192 . 208) (195 . 210) 
    (1 . -196)) ((33 . 72) (34 . 73) (35 . 74) (177 . 90) (36 . 91) (203 . 207
    ) (192 . 208) (195 . 209) (1 . -196)) ((47 . 201) (57 . 202) (46 . 203) 
    (53 . 204) (54 . 205) (52 . 206)) ((1 . -162)) ((1 . -153)) ((1 . -148)) 
    ((48 . 200) (1 . -146)) ((48 . 199) (1 . -145)) ((1 . -142)) ((55 . 193) 
    (51 . 194) (47 . 195) (57 . 196) (46 . 197) (53 . 198) (1 . -137)) 
    ((55 . 188) (53 . 189) (49 . 190) (47 . 191) (46 . 192) (1 . -126)) 
    ((1 . -123)) ((55 . 182) (51 . 183) (47 . 184) (57 . 185) (46 . 186) 
    (53 . 187) (1 . -124)) ((55 . 179) (47 . 180) (46 . 181) (1 . -119)) 
    ((3 . -247) (4 . -247) (1 . -247)) ((116 . 178)) ((1 . -243)) ((1 . -242))
    ((1 . -241)) ((1 . -240)) ((1 . -239)) ((116 . 177)) ((116 . 176)) 
    ((116 . 175)) ((1 . -112)) ((1 . -111)) ((1 . -110)) ((1 . -109)) (
    (1 . -108)) ((1 . -107)) ((1 . -106)) ((1 . -105)) ((1 . -104)) ((1 . -103
    )) ((1 . -102)) ((1 . -101)) ((1 . -100)) ((1 . -99)) ((30 . 71) (33 . 72)
    (34 . 73) (35 . 74) (42 . 75) (43 . 76) (44 . 77) (45 . 78) (46 . 79) 
    (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) (52 . 85) (53 . 86) 
    (55 . 87) (54 . 88) (57 . 89) (177 . 90) (36 . 91) (37 . 92) (38 . 93) 
    (39 . 94) (40 . 95) (41 . 96) (58 . 97) (59 . 98) (60 . 99) (196 . 100) 
    (197 . 101) (198 . 102) (199 . 103) (61 . 104) (200 . 105) (201 . 106) 
    (202 . 107) (62 . 108) (63 . 109) (64 . 110) (65 . 111) (66 . 112) 
    (67 . 113) (203 . 114) (204 . 115) (205 . 166) (206 . 167) (207 . 118) 
    (208 . 174) (1 . -97)) ((30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75) 
    (43 . 76) (44 . 77) (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) 
    (50 . 83) (51 . 84) (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) 
    (177 . 90) (36 . 91) (37 . 92) (38 . 93) (39 . 94) (40 . 95) (41 . 96) 
    (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 
    103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) (63 . 109) 
    (64 . 110) (65 . 111) (66 . 112) (67 . 113) (203 . 114) (204 . 115) 
    (205 . 166) (206 . 167) (207 . 118) (208 . 173) (1 . -95)) ((33 . 72) 
    (34 . 73) (35 . 74) (177 . 90) (36 . 91) (37 . 92) (38 . 93) (63 . 109) 
    (64 . 110) (65 . 111) (66 . 112) (67 . 113) (203 . 114) (204 . 115) 
    (207 . 118) (208 . 171) (30 . 71) (42 . 75) (43 . 76) (44 . 77) (45 . 78) 
    (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) (52 . 85) 
    (53 . 86) (55 . 87) (54 . 88) (57 . 89) (39 . 94) (40 . 95) (41 . 96) 
    (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 
    103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) (205 . 116)
    (206 . 117) (185 . 172) (115 . -93) (106 . -93) (1 . -218)) ((33 . 72) 
    (34 . 73) (35 . 74) (177 . 90) (36 . 91) (37 . 92) (38 . 93) (63 . 109) 
    (64 . 110) (65 . 111) (66 . 112) (67 . 113) (203 . 114) (204 . 115) 
    (207 . 118) (208 . 169) (30 . 71) (42 . 75) (43 . 76) (44 . 77) (45 . 78) 
    (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) (52 . 85) 
    (53 . 86) (55 . 87) (54 . 88) (57 . 89) (39 . 94) (40 . 95) (41 . 96) 
    (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 
    103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) (205 . 116)
    (206 . 117) (185 . 170) (115 . -91) (106 . -91) (1 . -216)) ((30 . 71) 
    (33 . 72) (34 . 73) (35 . 74) (42 . 75) (43 . 76) (44 . 77) (45 . 78) 
    (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) (52 . 85) 
    (53 . 86) (55 . 87) (54 . 88) (57 . 89) (177 . 90) (36 . 91) (37 . 92) 
    (38 . 93) (39 . 94) (40 . 95) (41 . 96) (58 . 97) (59 . 98) (60 . 99) 
    (196 . 100) (197 . 101) (198 . 102) (199 . 103) (61 . 104) (200 . 105) 
    (201 . 106) (202 . 107) (62 . 108) (63 . 109) (64 . 110) (65 . 111) 
    (66 . 112) (67 . 113) (203 . 114) (204 . 115) (205 . 166) (206 . 167) 
    (207 . 118) (208 . 168) (1 . -89)) ((1 . -215)) ((1 . -88)) ((115 . -317) 
    (106 . -317)) ((112 . 160) (116 . 161) (103 . 162) (155 . 163) (165 . 164)
    (227 . 165)) ((115 . 159)) ((13 . 7) (119 . 9) (7 . 10) (8 . 11) (9 . 12) 
    (10 . 13) (11 . 14) (32 . 15) (12 . 16) (240 . 19) (241 . 20) (242 . 21) 
    (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (235 . 30
    ) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (116 . 29) 
    (226 . 63) (224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) 
    (218 . 8) (217 . 17) (216 . 158)) ((13 . 7) (119 . 9) (7 . 10) (8 . 11) 
    (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (240 . 19) (241 . 20) 
    (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28
    ) (235 . 30) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) 
    (116 . 29) (226 . 63) (224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) 
    (219 . 6) (218 . 8) (217 . 157)) ((13 . 7) (119 . 9) (7 . 10) (8 . 11) 
    (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (240 . 19) (241 . 20) 
    (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28
    ) (235 . 30) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) 
    (116 . 29) (226 . 63) (224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) 
    (219 . 6) (218 . 156)) ((1 . -447)) ((13 . 7) (119 . 9) (7 . 10) (8 . 11) 
    (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (240 . 19) (241 . 20) 
    (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28
    ) (235 . 30) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) 
    (116 . 29) (226 . 63) (224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) 
    (219 . 155)) ((13 . 7) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) 
    (11 . 14) (32 . 15) (12 . 16) (240 . 19) (241 . 20) (242 . 21) (99 . 23) 
    (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (235 . 30) (105 . 
    32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (116 . 29) (226 . 63) 
    (224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 154)) ((13 . 7) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (240 . 19) (241 . 20) (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26
    ) (103 . 27) (104 . 28) (235 . 30) (105 . 32) (225 . 33) (107 . 34) 
    (108 . 35) (234 . 36) (116 . 29) (226 . 63) (224 . 1) (223 . 2) (222 . 3) 
    (221 . 4) (220 . 153)) ((13 . 7) (119 . 9) (7 . 10) (8 . 11) (9 . 12) 
    (10 . 13) (11 . 14) (32 . 15) (12 . 16) (240 . 19) (241 . 20) (242 . 21) 
    (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (235 . 30
    ) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (116 . 29) 
    (226 . 63) (224 . 1) (223 . 2) (222 . 3) (221 . 152)) ((13 . 7) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (240 . 19) (241 . 20) (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26
    ) (103 . 27) (104 . 28) (235 . 30) (105 . 32) (225 . 33) (107 . 34) 
    (108 . 35) (234 . 36) (116 . 29) (226 . 63) (224 . 1) (223 . 2) (222 . 3) 
    (221 . 151)) ((13 . 7) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) 
    (11 . 14) (32 . 15) (12 . 16) (240 . 19) (241 . 20) (242 . 21) (99 . 23) 
    (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (235 . 30) (105 . 
    32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (116 . 29) (226 . 63) 
    (224 . 1) (223 . 2) (222 . 3) (221 . 150)) ((13 . 7) (119 . 9) (7 . 10) 
    (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (240 . 19) 
    (241 . 20) (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27
    ) (104 . 28) (235 . 30) (105 . 32) (225 . 33) (107 . 34) (108 . 35) 
    (234 . 36) (116 . 29) (226 . 63) (224 . 1) (223 . 2) (222 . 3) (221 . 149)
    ) ((13 . 7) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) 
    (32 . 15) (12 . 16) (240 . 19) (241 . 20) (242 . 21) (99 . 23) (100 . 24) 
    (101 . 25) (102 . 26) (103 . 27) (104 . 28) (235 . 30) (105 . 32) (225 . 
    33) (107 . 34) (108 . 35) (234 . 36) (116 . 29) (226 . 63) (224 . 1) 
    (223 . 2) (222 . 148)) ((13 . 7) (119 . 9) (7 . 10) (8 . 11) (9 . 12) 
    (10 . 13) (11 . 14) (32 . 15) (12 . 16) (240 . 19) (241 . 20) (242 . 21) 
    (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (235 . 30
    ) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (116 . 29) 
    (226 . 63) (224 . 1) (223 . 2) (222 . 147)) ((13 . 7) (119 . 9) (7 . 10) 
    (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (240 . 19) 
    (241 . 20) (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27
    ) (104 . 28) (235 . 30) (105 . 32) (225 . 33) (107 . 34) (108 . 35) 
    (234 . 36) (116 . 29) (226 . 63) (224 . 1) (223 . 146)) ((13 . 7) (119 . 9
    ) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (240 . 19) (241 . 20) (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26
    ) (103 . 27) (104 . 28) (235 . 30) (105 . 32) (225 . 33) (107 . 34) 
    (108 . 35) (234 . 36) (116 . 29) (226 . 63) (224 . 1) (223 . 145)) 
    ((13 . 7) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) 
    (32 . 15) (12 . 16) (240 . 19) (241 . 20) (242 . 21) (99 . 23) (100 . 24) 
    (101 . 25) (102 . 26) (103 . 27) (104 . 28) (235 . 30) (105 . 32) (225 . 
    33) (107 . 34) (108 . 35) (234 . 36) (116 . 29) (226 . 63) (224 . 144)) 
    ((13 . 7) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) 
    (32 . 15) (12 . 16) (240 . 19) (241 . 20) (242 . 21) (99 . 23) (100 . 24) 
    (101 . 25) (102 . 26) (103 . 27) (104 . 28) (235 . 30) (105 . 32) (225 . 
    33) (107 . 34) (108 . 35) (234 . 36) (116 . 29) (226 . 63) (224 . 143)) 
    ((13 . 7) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) 
    (32 . 15) (12 . 16) (240 . 19) (241 . 20) (242 . 21) (99 . 23) (100 . 24) 
    (101 . 25) (102 . 26) (103 . 27) (104 . 28) (235 . 30) (105 . 32) (225 . 
    33) (107 . 34) (108 . 35) (234 . 36) (116 . 29) (226 . 63) (224 . 142)) 
    ((1 . -41)) ((1 . -40)) ((1 . -39)) ((103 . 139) (98 . 140) (97 . 141) 
    (1 . -44)) ((103 . 139) (98 . 140) (97 . 141) (1 . -43)) ((102 . 137) 
    (101 . 138) (1 . -47)) ((102 . 137) (101 . 138) (1 . -46)) ((96 . 135) 
    (95 . 136) (1 . -52)) ((96 . 135) (95 . 136) (1 . -51)) ((96 . 135) 
    (95 . 136) (1 . -50)) ((96 . 135) (95 . 136) (1 . -49)) ((94 . 131) 
    (93 . 132) (92 . 133) (91 . 134) (1 . -55)) ((94 . 131) (93 . 132) 
    (92 . 133) (91 . 134) (1 . -54)) ((90 . 129) (89 . 130) (1 . -57)) 
    ((104 . 128) (1 . -59)) ((88 . 126) (1 . -61)) ((87 . 125) (1 . -63)) 
    ((114 . 335) (13 . 7) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) 
    (11 . 14) (32 . 15) (12 . 16) (240 . 19) (241 . 20) (242 . 21) (99 . 23) 
    (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (235 . 30) (105 . 
    32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (116 . 29) (226 . 63) 
    (224 . 336)) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) 
    (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14
    ) (32 . 15) (12 . 16) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 
    21) (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (104 . 28) 
    (116 . 29) (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 
    35) (234 . 36) (226 . 37) (213 . 38) (230 . 330) (111 . 331) (64 . 332) 
    (39 . 94) (40 . 95) (41 . 96) (205 . 319) (160 . 320) (163 . 333) (103 . 
    334)) ((112 . 160) (116 . 161) (103 . 162) (155 . 163) (165 . 164) 
    (227 . 324) (30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75) (43 . 76) 
    (44 . 77) (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) 
    (51 . 84) (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) (177 . 90) 
    (36 . 91) (37 . 92) (38 . 93) (39 . 94) (40 . 95) (41 . 96) (58 . 97) 
    (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 103) 
    (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) (63 . 109) 
    (64 . 110) (65 . 111) (66 . 112) (67 . 113) (203 . 114) (204 . 115) 
    (205 . 166) (206 . 167) (207 . 118) (208 . 120) (228 . 325) (158 . 326) 
    (159 . 327) (162 . 328) (115 . 329)) ((39 . 94) (40 . 95) (41 . 96) 
    (205 . 319) (160 . 320) (163 . 321) (33 . 72) (34 . 73) (35 . 74) (177 . 
    90) (36 . 91) (203 . 207) (192 . 322) (103 . 162) (165 . 323) (1 . -287)) 
    ((116 . 317) (112 . 318) (115 . -320) (106 . -320)) ((112 . 160) (116 . 
    161) (155 . 316) (115 . -319) (106 . -319)) ((115 . -316) (106 . -316)) 
    ((30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75) (43 . 76) (44 . 77) 
    (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) 
    (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) (177 . 90) (36 . 91) 
    (37 . 92) (38 . 93) (39 . 94) (40 . 95) (41 . 96) (58 . 97) (59 . 98) 
    (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 103) (61 . 104) 
    (200 . 105) (201 . 106) (202 . 107) (62 . 108) (63 . 109) (64 . 110) 
    (65 . 111) (66 . 112) (67 . 113) (203 . 114) (204 . 115) (205 . 166) 
    (206 . 167) (207 . 118) (208 . 171) (1 . -93)) ((30 . 71) (33 . 72) 
    (34 . 73) (35 . 74) (42 . 75) (43 . 76) (44 . 77) (45 . 78) (46 . 79) 
    (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) (52 . 85) (53 . 86) 
    (55 . 87) (54 . 88) (57 . 89) (177 . 90) (36 . 91) (37 . 92) (38 . 93) 
    (39 . 94) (40 . 95) (41 . 96) (58 . 97) (59 . 98) (60 . 99) (196 . 100) 
    (197 . 101) (198 . 102) (199 . 103) (61 . 104) (200 . 105) (201 . 106) 
    (202 . 107) (62 . 108) (63 . 109) (64 . 110) (65 . 111) (66 . 112) 
    (67 . 113) (203 . 114) (204 . 115) (205 . 166) (206 . 167) (207 . 118) 
    (208 . 169) (1 . -91)) ((1 . -90)) ((1 . -92)) ((1 . -217)) ((1 . -94)) 
    ((1 . -219)) ((1 . -96)) ((1 . -98)) ((30 . 71) (33 . 72) (34 . 73) 
    (35 . 74) (42 . 75) (43 . 76) (44 . 77) (45 . 78) (46 . 79) (47 . 80) 
    (48 . 81) (49 . 82) (50 . 83) (51 . 84) (52 . 85) (53 . 86) (55 . 87) 
    (54 . 88) (57 . 89) (177 . 90) (36 . 91) (37 . 92) (38 . 93) (39 . 94) 
    (40 . 95) (41 . 96) (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) 
    (198 . 102) (199 . 103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) 
    (62 . 108) (63 . 109) (64 . 110) (65 . 111) (66 . 112) (67 . 113) (203 . 
    114) (204 . 115) (205 . 116) (206 . 117) (207 . 118) (185 . 119) (208 . 
    120) (228 . 121) (156 . 122) (232 . 314) (13 . 7) (119 . 9) (7 . 10) 
    (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (240 . 19) 
    (241 . 20) (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27
    ) (104 . 28) (116 . 60) (235 . 30) (105 . 32) (225 . 33) (107 . 34) 
    (108 . 35) (234 . 36) (226 . 315)) ((30 . 71) (33 . 72) (34 . 73) (35 . 74
    ) (42 . 75) (43 . 76) (44 . 77) (45 . 78) (46 . 79) (47 . 80) (48 . 81) 
    (49 . 82) (50 . 83) (51 . 84) (52 . 85) (53 . 86) (55 . 87) (54 . 88) 
    (57 . 89) (177 . 90) (36 . 91) (37 . 92) (38 . 93) (39 . 94) (40 . 95) 
    (41 . 96) (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102
    ) (199 . 103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) 
    (63 . 109) (64 . 110) (65 . 111) (66 . 112) (67 . 113) (203 . 114) 
    (204 . 115) (205 . 116) (206 . 117) (207 . 118) (185 . 119) (208 . 120) 
    (228 . 121) (156 . 122) (232 . 312) (13 . 7) (119 . 9) (7 . 10) (8 . 11) 
    (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (240 . 19) (241 . 20) 
    (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28
    ) (116 . 60) (235 . 30) (105 . 32) (225 . 33) (107 . 34) (108 . 35) 
    (234 . 36) (226 . 313)) ((30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75)
    (43 . 76) (44 . 77) (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) 
    (50 . 83) (51 . 84) (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) 
    (177 . 90) (36 . 91) (37 . 92) (38 . 93) (39 . 94) (40 . 95) (41 . 96) 
    (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 
    103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) (63 . 109) 
    (64 . 110) (65 . 111) (66 . 112) (67 . 113) (203 . 114) (204 . 115) 
    (205 . 116) (206 . 117) (207 . 118) (185 . 119) (208 . 120) (228 . 121) 
    (156 . 122) (232 . 310) (13 . 7) (119 . 9) (7 . 10) (8 . 11) (9 . 12) 
    (10 . 13) (11 . 14) (32 . 15) (12 . 16) (240 . 19) (241 . 20) (242 . 21) 
    (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 60
    ) (235 . 30) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) 
    (226 . 311)) ((116 . 309)) ((1 . -120)) ((1 . -152)) ((1 . -161)) (
    (1 . -125)) ((1 . -143)) ((1 . -156)) ((46 . 306) (47 . 307) (55 . 308) 
    (1 . -121)) ((1 . -165)) ((46 . 302) (47 . 303) (53 . 304) (55 . 305) 
    (1 . -128)) ((1 . -127)) ((55 . 301) (1 . -130)) ((48 . 300) (1 . -147)) 
    ((1 . -154)) ((1 . -163)) ((1 . -136)) ((1 . -144)) ((1 . -159)) ((46 . 
    297) (47 . 298) (55 . 299) (1 . -135)) ((1 . -168)) ((46 . 293) (47 . 294)
    (53 . 295) (55 . 296) (1 . -139)) ((1 . -149)) ((1 . -150)) ((1 . -171)) 
    ((46 . 291) (47 . 292)) ((1 . -180)) ((46 . 289) (47 . 290)) ((46 . 285) 
    (53 . 286) (47 . 287) (57 . 288)) ((46 . 281) (53 . 282) (47 . 283) 
    (57 . 284)) ((1 . -244)) ((33 . 72) (34 . 73) (35 . 74) (177 . 90) 
    (36 . 91) (203 . 280) (1 . -197)) ((114 . 278) (12 . 16) (30 . 71) 
    (196 . 212) (242 . 213) (194 . 279)) ((114 . 276) (12 . 16) (30 . 71) 
    (196 . 212) (242 . 213) (194 . 277)) ((12 . 16) (242 . 273) (179 . 274) 
    (180 . 275)) ((1 . -195)) ((1 . -194)) ((114 . 272) (1 . -232)) ((224 . 1)
    (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) 
    (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) 
    (217 . 17) (216 . 18) (240 . 19) (241 . 20) (30 . 71) (33 . 72) (34 . 73) 
    (35 . 74) (42 . 75) (43 . 76) (44 . 77) (45 . 78) (46 . 79) (47 . 80) 
    (48 . 81) (49 . 82) (50 . 83) (51 . 84) (52 . 85) (53 . 86) (55 . 87) 
    (54 . 88) (57 . 89) (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) 
    (103 . 27) (104 . 28) (116 . 29) (235 . 30) (177 . 90) (36 . 91) (37 . 92)
    (38 . 93) (39 . 94) (40 . 95) (41 . 96) (58 . 97) (59 . 98) (60 . 99) 
    (196 . 100) (197 . 101) (198 . 102) (199 . 103) (61 . 104) (200 . 105) 
    (201 . 106) (202 . 107) (62 . 108) (63 . 109) (64 . 110) (65 . 111) 
    (66 . 112) (67 . 113) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 
    35) (234 . 36) (203 . 114) (204 . 115) (205 . 166) (206 . 167) (207 . 118)
    (226 . 37) (213 . 38) (12 . 16) (16 . 238) (208 . 120) (230 . 39) (3 . 239
    ) (4 . 240) (166 . 241) (17 . 242) (18 . 243) (19 . 244) (20 . 245) 
    (21 . 246) (22 . 247) (23 . 248) (24 . 249) (27 . 250) (71 . 251) (239 . 
    252) (114 . 253) (28 . 254) (29 . 255) (242 . 256) (228 . 257) (143 . 258)
    (144 . 259) (145 . 260) (146 . 261) (147 . 262) (148 . 263) (149 . 264) 
    (150 . 265) (151 . 266) (211 . 267) (142 . 268) (138 . 269) (139 . 270) 
    (237 . 271)) ((1 . -4)) ((86 . 124) (1 . -65)) ((83 . 237) (106 . 41)) 
    ((115 . 236)) ((115 . 235)) ((1 . -13)) ((1 . -12)) ((1 . -11)) ((112 . 
    160) (116 . 161) (103 . 162) (155 . 163) (165 . 164) (227 . 234) (115 . 
    -23) (106 . -23)) ((115 . -20) (106 . -20)) ((115 . -18) (106 . -18)) 
    ((115 . 232) (106 . 233)) ((111 . 231) (106 . 41)) ((1 . -69)) ((1 . -82))
    ((1 . -9)) ((1 . -10)) ((30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75) 
    (43 . 76) (44 . 77) (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) 
    (50 . 83) (51 . 84) (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) 
    (177 . 90) (36 . 91) (37 . 92) (38 . 93) (39 . 94) (40 . 95) (41 . 96) 
    (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 
    103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) (63 . 109) 
    (64 . 110) (65 . 111) (66 . 112) (67 . 113) (203 . 114) (204 . 115) 
    (205 . 166) (206 . 167) (207 . 118) (208 . 120) (228 . 224) (229 . 447) 
    (224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) 
    (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) 
    (32 . 15) (12 . 16) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21)
    (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28
    ) (116 . 29) (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) 
    (108 . 35) (234 . 36) (226 . 37) (213 . 38) (230 . 448)) ((115 . -22) 
    (106 . -22)) ((114 . 335)) ((114 . 335) (1 . -29)) ((13 . 7) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (240 . 19) (241 . 20) (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26
    ) (103 . 27) (104 . 28) (235 . 30) (105 . 32) (225 . 33) (107 . 34) 
    (108 . 35) (234 . 36) (116 . 29) (226 . 63) (224 . 1) (223 . 2) (222 . 3) 
    (221 . 4) (220 . 5) (219 . 6) (218 . 8) (217 . 17) (216 . 18) (215 . 22) 
    (214 . 31) (213 . 446)) ((20 . 441) (40 . 442) (14 . 443) (15 . 444) 
    (135 . 445) (116 . -400)) ((4 . -451) (3 . -451) (1 . -451)) ((4 . -450) 
    (3 . -450) (1 . -450)) ((71 . 440)) ((224 . 1) (223 . 2) (222 . 3) 
    (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) 
    (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (217 . 17) 
    (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23) (100 . 24
    ) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 30) 
    (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (226 . 
    37) (213 . 38) (230 . 39) (239 . 438) (71 . 439)) ((71 . 437)) ((71 . 436)
    ) ((12 . 16) (242 . 435)) ((116 . 434)) ((224 . 1) (223 . 2) (222 . 3) 
    (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) 
    (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (217 . 17) (216 . 18) 
    (240 . 19) (241 . 20) (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26
    ) (103 . 27) (104 . 28) (116 . 29) (235 . 30) (214 . 31) (105 . 32) 
    (225 . 33) (107 . 34) (108 . 35) (234 . 36) (226 . 37) (213 . 38) (12 . 16
    ) (16 . 238) (230 . 39) (3 . 239) (4 . 240) (166 . 241) (17 . 242) 
    (18 . 243) (19 . 244) (20 . 245) (21 . 246) (22 . 247) (23 . 248) (24 . 
    249) (27 . 250) (71 . 251) (239 . 252) (114 . 253) (28 . 254) (29 . 255) 
    (242 . 256) (143 . 258) (144 . 259) (145 . 260) (146 . 261) (147 . 262) 
    (148 . 263) (149 . 264) (150 . 265) (151 . 266) (142 . 433)) ((116 . 432))
    ((116 . 431)) ((116 . 430)) ((4 . -377) (3 . -377) (1 . -377)) ((71 . 429)
    (106 . 41)) ((141 . 427) (113 . 428) (3 . -370) (4 . -370) (1 . -370)) 
    ((83 . 426)) ((13 . 7) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) 
    (11 . 14) (32 . 15) (12 . 16) (240 . 19) (241 . 20) (242 . 21) (99 . 23) 
    (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (235 . 30) (105 . 
    32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (116 . 29) (226 . 63) 
    (224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) (218 . 8) 
    (217 . 17) (216 . 18) (215 . 22) (214 . 31) (213 . 424) (181 . 425)) 
    ((83 . 423) (1 . -1)) ((12 . 16) (116 . 416) (242 . 356) (103 . 162) 
    (164 . 357) (165 . 417) (182 . 418) (168 . 419) (169 . 420) (170 . 421) 
    (209 . 422) (71 . -87)) ((3 . -363) (4 . -363) (1 . -363)) ((3 . -362) 
    (4 . -362) (1 . -362)) ((3 . -361) (4 . -361) (1 . -361)) ((3 . -360) 
    (4 . -360) (1 . -360)) ((3 . -359) (4 . -359) (1 . -359)) ((3 . -358) 
    (4 . -358) (1 . -358)) ((3 . -357) (4 . -357) (1 . -357)) ((3 . -356) 
    (4 . -356) (1 . -356)) ((3 . -355) (4 . -355) (1 . -355)) ((71 . 415)) 
    ((4 . -375) (3 . -375) (1 . -375)) ((4 . -374) (3 . -374) (1 . -374)) 
    ((3 . -372) (4 . -372) (1 . -372)) ((236 . 413) (224 . 1) (223 . 2) 
    (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (217 . 17) 
    (216 . 18) (240 . 19) (241 . 20) (30 . 71) (33 . 72) (34 . 73) (35 . 74) 
    (42 . 75) (43 . 76) (44 . 77) (45 . 78) (46 . 79) (47 . 80) (48 . 81) 
    (49 . 82) (50 . 83) (51 . 84) (52 . 85) (53 . 86) (55 . 87) (54 . 88) 
    (57 . 89) (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27)
    (104 . 28) (116 . 29) (235 . 30) (177 . 90) (36 . 91) (37 . 92) (38 . 93) 
    (39 . 94) (40 . 95) (41 . 96) (58 . 97) (59 . 98) (60 . 99) (196 . 100) 
    (197 . 101) (198 . 102) (199 . 103) (61 . 104) (200 . 105) (201 . 106) 
    (202 . 107) (62 . 108) (63 . 109) (64 . 110) (65 . 111) (66 . 112) 
    (67 . 113) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 
    36) (203 . 114) (204 . 115) (205 . 166) (206 . 167) (207 . 118) (226 . 37)
    (213 . 38) (12 . 16) (16 . 238) (208 . 120) (230 . 39) (3 . 239) (4 . 240)
    (166 . 241) (17 . 242) (18 . 243) (19 . 244) (20 . 245) (21 . 246) 
    (22 . 247) (23 . 248) (24 . 249) (27 . 250) (71 . 251) (239 . 252) 
    (114 . 253) (28 . 254) (29 . 255) (242 . 256) (228 . 257) (143 . 258) 
    (144 . 259) (145 . 260) (146 . 261) (147 . 262) (148 . 263) (149 . 264) 
    (150 . 265) (151 . 266) (211 . 267) (142 . 268) (138 . 269) (139 . 414) 
    (113 . -7)) ((12 . 16) (242 . 273) (179 . 274) (180 . 412)) ((82 . 410) 
    (33 . 72) (34 . 73) (35 . 74) (177 . 90) (36 . 91) (203 . 207) (192 . 411)
    (113 . -235) (106 . -235)) ((113 . -233) (106 . -233)) ((113 . 408) 
    (106 . 409)) ((30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75) (43 . 76) 
    (44 . 77) (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) 
    (51 . 84) (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) (177 . 90) 
    (36 . 91) (39 . 94) (40 . 95) (41 . 96) (58 . 97) (59 . 98) (60 . 99) 
    (196 . 100) (197 . 101) (198 . 102) (199 . 103) (61 . 104) (200 . 105) 
    (201 . 106) (202 . 107) (62 . 108) (203 . 395) (205 . 396) (206 . 397) 
    (186 . 398) (188 . 399) (5 . 400) (189 . 401) (71 . 402) (190 . 403) 
    (191 . 404) (193 . 407)) ((114 . 406) (1 . -193)) ((30 . 71) (33 . 72) 
    (34 . 73) (35 . 74) (42 . 75) (43 . 76) (44 . 77) (45 . 78) (46 . 79) 
    (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) (52 . 85) (53 . 86) 
    (55 . 87) (54 . 88) (57 . 89) (177 . 90) (36 . 91) (39 . 94) (40 . 95) 
    (41 . 96) (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102
    ) (199 . 103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) 
    (203 . 395) (205 . 396) (206 . 397) (186 . 398) (188 . 399) (5 . 400) 
    (189 . 401) (71 . 402) (190 . 403) (191 . 404) (193 . 405)) ((114 . 394) 
    (1 . -190)) ((1 . -245)) ((1 . -186)) ((47 . 392) (46 . 393)) ((1 . -177))
    ((47 . 390) (46 . 391)) ((1 . -183)) ((47 . 388) (46 . 389)) ((1 . -174)) 
    ((47 . 386) (46 . 387)) ((1 . -181)) ((1 . -172)) ((1 . -179)) ((1 . -170)
    ) ((1 . -169)) ((1 . -160)) ((55 . 385) (1 . -141)) ((1 . -138)) ((1 . 
    -167)) ((1 . -158)) ((1 . -134)) ((1 . -151)) ((1 . -131)) ((1 . -166)) 
    ((1 . -157)) ((55 . 384) (1 . -132)) ((1 . -129)) ((1 . -164)) ((1 . -155)
    ) ((1 . -122)) ((12 . 16) (33 . 72) (34 . 73) (35 . 74) (242 . 377) 
    (177 . 378) (41 . 379) (174 . 380) (175 . 381) (176 . 382) (178 . 383)) 
    ((115 . 376)) ((115 . 375)) ((115 . 374)) ((115 . 373)) ((115 . 372)) 
    ((115 . 371)) ((116 . 317) (112 . 318) (115 . -318) (106 . -318)) (
    (115 . 369) (30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75) (43 . 76) 
    (44 . 77) (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) 
    (51 . 84) (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) (177 . 90) 
    (36 . 91) (37 . 92) (38 . 93) (39 . 94) (40 . 95) (41 . 96) (58 . 97) 
    (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 103) 
    (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) (63 . 109) 
    (64 . 110) (65 . 111) (66 . 112) (67 . 113) (203 . 114) (204 . 115) 
    (205 . 166) (206 . 167) (207 . 118) (208 . 120) (228 . 325) (158 . 326) 
    (159 . 327) (162 . 370)) ((64 . 364) (111 . 365) (224 . 1) (223 . 2) 
    (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23
    ) (100 . 24) (101 . 25) (102 . 26) (103 . 366) (104 . 28) (116 . 29) 
    (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 
    36) (226 . 37) (213 . 38) (230 . 367) (39 . 94) (40 . 95) (41 . 96) 
    (205 . 319) (160 . 320) (163 . 368)) ((1 . -303)) ((39 . 94) (40 . 95) 
    (41 . 96) (205 . 363) (1 . -302)) ((103 . 162) (165 . 362) (1 . -283)) 
    ((33 . 72) (34 . 73) (35 . 74) (177 . 90) (36 . 91) (203 . 280) (103 . 162
    ) (165 . 361) (1 . -285)) ((1 . -286)) ((115 . 360)) ((112 . 160) (155 . 
    163) (227 . 354) (12 . 16) (116 . 355) (242 . 356) (103 . 162) (164 . 357)
    (165 . 358) (182 . 359) (115 . -311) (106 . -311)) ((106 . -307) (115 . 
    -307)) ((106 . 353) (115 . -305)) ((115 . 352)) ((1 . -333)) ((111 . 351))
    ((1 . -337)) ((39 . 94) (40 . 95) (41 . 96) (205 . 319) (160 . 320) 
    (163 . 350)) ((64 . 347) (111 . 348) (224 . 1) (223 . 2) (222 . 3) 
    (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) 
    (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (217 . 17) 
    (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23) (100 . 24
    ) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 30) 
    (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (226 . 
    37) (213 . 38) (230 . 349)) ((111 . 346) (1 . -31)) ((224 . 1) (223 . 2) 
    (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23
    ) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) 
    (235 . 30) (110 . 337) (112 . 338) (214 . 31) (105 . 32) (225 . 33) 
    (107 . 34) (108 . 35) (234 . 36) (152 . 339) (226 . 37) (213 . 38) 
    (153 . 340) (114 . 341) (230 . 342) (167 . 343) (154 . 344) (231 . 345)) 
    ((1 . -37)) ((12 . 16) (242 . 524)) ((13 . 7) (119 . 9) (7 . 10) (8 . 11) 
    (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (240 . 19) (241 . 20) 
    (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28
    ) (235 . 30) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) 
    (116 . 29) (226 . 63) (224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) 
    (219 . 6) (218 . 8) (217 . 17) (216 . 18) (215 . 22) (214 . 31) (213 . 424
    ) (181 . 523)) ((1 . -351)) ((82 . 521) (110 . 337) (112 . 338) (152 . 522
    )) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) 
    (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) 
    (32 . 15) (12 . 16) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21)
    (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28
    ) (116 . 29) (235 . 30) (110 . 337) (112 . 338) (214 . 31) (105 . 32) 
    (225 . 33) (107 . 34) (108 . 35) (234 . 36) (152 . 339) (226 . 37) 
    (213 . 38) (153 . 340) (114 . 341) (230 . 342) (167 . 343) (154 . 344) 
    (231 . 520)) ((1 . -343)) ((113 . -347) (106 . -347)) ((224 . 1) (223 . 2)
    (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23
    ) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) 
    (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 
    36) (226 . 37) (213 . 38) (114 . 341) (230 . 342) (167 . 519)) ((113 . 517
    ) (106 . 518)) ((1 . -341)) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) 
    (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) 
    (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (217 . 17) (216 . 18) 
    (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23) (100 . 24) (101 . 25
    ) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 30) (214 . 31) 
    (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (226 . 37) (213 . 
    38) (230 . 516)) ((1 . -335)) ((111 . 515)) ((224 . 1) (223 . 2) (222 . 3)
    (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) 
    (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (217 . 17) 
    (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23) (100 . 24
    ) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 30) 
    (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (226 . 
    37) (213 . 38) (230 . 513) (111 . 514)) ((1 . -336)) ((1 . -332)) (
    (30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75) (43 . 76) (44 . 77) 
    (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) 
    (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) (177 . 90) (36 . 91) 
    (37 . 92) (38 . 93) (39 . 94) (40 . 95) (41 . 96) (58 . 97) (59 . 98) 
    (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 103) (61 . 104) 
    (200 . 105) (201 . 106) (202 . 107) (62 . 108) (63 . 109) (64 . 110) 
    (65 . 111) (66 . 112) (67 . 113) (203 . 114) (204 . 115) (205 . 166) 
    (206 . 167) (207 . 118) (208 . 120) (228 . 325) (158 . 511) (31 . 512)) 
    ((115 . -310) (106 . -310)) ((12 . 16) (242 . 356) (164 . 357) (182 . 470)
    (112 . 160) (116 . 355) (103 . 162) (155 . 163) (165 . 358) (227 . 324) 
    (30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75) (43 . 76) (44 . 77) 
    (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) 
    (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) (177 . 90) (36 . 91) 
    (37 . 92) (38 . 93) (39 . 94) (40 . 95) (41 . 96) (58 . 97) (59 . 98) 
    (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 103) (61 . 104) 
    (200 . 105) (201 . 106) (202 . 107) (62 . 108) (63 . 109) (64 . 110) 
    (65 . 111) (66 . 112) (67 . 113) (203 . 510) (204 . 115) (205 . 166) 
    (206 . 167) (207 . 118) (208 . 120) (228 . 325) (158 . 326) (159 . 327) 
    (162 . 328) (115 . 329)) ((1 . -288)) ((112 . 508) (116 . 509) (1 . -281))
    ((12 . 16) (242 . 356) (164 . 469) (112 . 160) (116 . 355) (155 . 316) 
    (115 . -319) (106 . -319)) ((33 . 72) (34 . 73) (35 . 74) (177 . 90) 
    (36 . 91) (203 . 207) (192 . 507) (115 . -309) (106 . -309)) ((1 . -321)) 
    ((1 . -284)) ((1 . -282)) ((1 . -304)) ((39 . 94) (40 . 95) (41 . 96) 
    (205 . 319) (160 . 320) (163 . 506)) ((1 . -327)) ((111 . 505) (1 . -31)) 
    ((111 . 504)) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6)
    (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14
    ) (32 . 15) (12 . 16) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 
    21) (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) 
    (104 . 28) (116 . 29) (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 
    34) (108 . 35) (234 . 36) (226 . 37) (213 . 38) (230 . 501) (111 . 502) 
    (64 . 503)) ((1 . -323)) ((115 . 500)) ((1 . -113)) ((1 . -114)) ((1 . 
    -115)) ((1 . -116)) ((1 . -117)) ((1 . -118)) ((1 . -259)) ((1 . -258)) 
    ((115 . -257) (106 . -257)) ((116 . 499) (115 . -255) (106 . -255)) 
    ((115 . -252) (106 . -252)) ((106 . 498) (115 . -251)) ((115 . 497)) 
    ((1 . -133)) ((1 . -140)) ((1 . -173)) ((1 . -182)) ((1 . -175)) ((1 . 
    -184)) ((1 . -176)) ((1 . -185)) ((1 . -178)) ((1 . -187)) ((30 . 71) 
    (33 . 72) (34 . 73) (35 . 74) (42 . 75) (43 . 76) (44 . 77) (45 . 78) 
    (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) (52 . 85) 
    (53 . 86) (55 . 87) (54 . 88) (57 . 89) (177 . 90) (36 . 91) (39 . 94) 
    (40 . 95) (41 . 96) (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) 
    (198 . 102) (199 . 103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) 
    (62 . 108) (203 . 395) (205 . 396) (206 . 397) (186 . 398) (188 . 399) 
    (5 . 400) (189 . 401) (71 . 402) (190 . 403) (191 . 404) (193 . 496)) 
    ((30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75) (43 . 76) (44 . 77) 
    (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) 
    (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) (177 . 90) (36 . 91) 
    (39 . 94) (40 . 95) (41 . 96) (58 . 97) (59 . 98) (60 . 99) (196 . 100) 
    (197 . 101) (198 . 102) (199 . 103) (61 . 104) (200 . 105) (201 . 106) 
    (202 . 107) (62 . 108) (203 . 395) (205 . 396) (206 . 397) (186 . 495) 
    (1 . -213)) ((30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75) (43 . 76) 
    (44 . 77) (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) 
    (51 . 84) (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) (177 . 90) 
    (36 . 91) (39 . 94) (40 . 95) (41 . 96) (58 . 97) (59 . 98) (60 . 99) 
    (196 . 100) (197 . 101) (198 . 102) (199 . 103) (61 . 104) (200 . 105) 
    (201 . 106) (202 . 107) (62 . 108) (203 . 395) (205 . 396) (206 . 397) 
    (186 . 494) (1 . -211)) ((30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75)
    (43 . 76) (44 . 77) (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) 
    (50 . 83) (51 . 84) (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) 
    (177 . 90) (36 . 91) (39 . 94) (40 . 95) (41 . 96) (58 . 97) (59 . 98) 
    (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 103) (61 . 104) 
    (200 . 105) (201 . 106) (202 . 107) (62 . 108) (203 . 395) (205 . 396) 
    (206 . 397) (186 . 493) (1 . -209)) ((1 . -208)) ((12 . 16) (116 . 416) 
    (242 . 356) (103 . 162) (164 . 357) (165 . 417) (83 . 488) (182 . 489) 
    (183 . 490) (184 . 491) (187 . 492) (71 . -207)) ((5 . -449) (1 . -449)) 
    ((71 . 487)) ((5 . -202) (1 . -202)) ((5 . -199) (1 . -199)) ((5 . -198) 
    (1 . -198)) ((113 . 486) (30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75)
    (43 . 76) (44 . 77) (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) 
    (50 . 83) (51 . 84) (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) 
    (177 . 90) (36 . 91) (39 . 94) (40 . 95) (41 . 96) (58 . 97) (59 . 98) 
    (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 103) (61 . 104) 
    (200 . 105) (201 . 106) (202 . 107) (62 . 108) (203 . 395) (205 . 396) 
    (206 . 397) (186 . 398) (188 . 399) (189 . 401) (191 . 482) (5 . 400) 
    (190 . 483) (71 . 484)) ((30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75)
    (43 . 76) (44 . 77) (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) 
    (50 . 83) (51 . 84) (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) 
    (177 . 90) (36 . 91) (39 . 94) (40 . 95) (41 . 96) (58 . 97) (59 . 98) 
    (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 103) (61 . 104) 
    (200 . 105) (201 . 106) (202 . 107) (62 . 108) (203 . 395) (205 . 396) 
    (206 . 397) (186 . 398) (188 . 399) (5 . 400) (189 . 401) (71 . 402) 
    (190 . 403) (191 . 404) (193 . 485)) ((113 . 481) (30 . 71) (33 . 72) 
    (34 . 73) (35 . 74) (42 . 75) (43 . 76) (44 . 77) (45 . 78) (46 . 79) 
    (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) (52 . 85) (53 . 86) 
    (55 . 87) (54 . 88) (57 . 89) (177 . 90) (36 . 91) (39 . 94) (40 . 95) 
    (41 . 96) (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102
    ) (199 . 103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) 
    (203 . 395) (205 . 396) (206 . 397) (186 . 398) (188 . 399) (189 . 401) 
    (191 . 482) (5 . 400) (190 . 483) (71 . 484)) ((1 . -230)) ((113 . 479) 
    (12 . 16) (242 . 273) (179 . 480)) ((13 . 7) (119 . 9) (7 . 10) (8 . 11) 
    (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (240 . 19) (241 . 20) 
    (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28
    ) (235 . 30) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) 
    (116 . 29) (226 . 63) (224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) 
    (219 . 6) (218 . 8) (217 . 17) (216 . 18) (215 . 22) (214 . 31) (213 . 424
    ) (181 . 478)) ((82 . 477) (33 . 72) (34 . 73) (35 . 74) (177 . 90) 
    (36 . 91) (203 . 280) (113 . -236) (106 . -236)) ((106 . 475) (113 . 476))
    ((113 . 474)) ((3 . -373) (4 . -373) (1 . -373)) ((6 . 472) (210 . 473) 
    (3 . -84) (4 . -84) (1 . -84)) ((12 . 16) (116 . 416) (242 . 356) (103 . 
    162) (164 . 357) (165 . 417) (182 . 470) (33 . 72) (34 . 73) (35 . 74) 
    (177 . 90) (36 . 91) (203 . 471)) ((12 . 16) (116 . 416) (242 . 356) 
    (164 . 469)) ((82 . 466) (33 . 72) (34 . 73) (35 . 74) (177 . 90) (36 . 91
    ) (203 . 207) (192 . 467) (16 . 238) (166 . 468) (106 . -273) (71 . -273))
    ((106 . -272) (71 . -272)) ((106 . -269) (71 . -269)) ((106 . 465) 
    (71 . -268)) ((71 . -86)) ((33 . 72) (34 . 73) (35 . 74) (177 . 90) 
    (36 . 91) (203 . 463) (224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) 
    (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13
    ) (11 . 14) (32 . 15) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (215 . 
    22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) 
    (116 . 29) (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 
    35) (234 . 36) (226 . 37) (213 . 38) (12 . 16) (16 . 238) (230 . 39) 
    (3 . 239) (4 . 240) (166 . 241) (17 . 242) (18 . 243) (19 . 244) (20 . 245
    ) (21 . 246) (22 . 247) (23 . 248) (24 . 249) (27 . 250) (71 . 251) 
    (239 . 252) (114 . 253) (28 . 254) (29 . 255) (242 . 256) (143 . 258) 
    (144 . 259) (145 . 260) (146 . 261) (147 . 262) (148 . 263) (149 . 264) 
    (150 . 265) (151 . 266) (142 . 464)) ((1 . -83)) ((83 . 462)) ((224 . 1) 
    (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) 
    (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) 
    (217 . 17) (216 . 18) (240 . 19) (241 . 20) (215 . 22) (99 . 23) (100 . 24
    ) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 30) 
    (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (226 . 
    37) (213 . 38) (12 . 16) (16 . 238) (230 . 39) (3 . 239) (4 . 240) 
    (166 . 241) (17 . 242) (18 . 243) (19 . 244) (20 . 245) (21 . 246) 
    (22 . 247) (23 . 248) (24 . 249) (27 . 250) (71 . 251) (239 . 252) 
    (114 . 253) (28 . 254) (29 . 255) (242 . 256) (143 . 258) (144 . 259) 
    (145 . 260) (146 . 261) (147 . 262) (148 . 263) (149 . 264) (150 . 265) 
    (151 . 266) (142 . 461)) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5
    ) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) 
    (10 . 13) (11 . 14) (32 . 15) (217 . 17) (216 . 18) (240 . 19) (241 . 20) 
    (30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75) (43 . 76) (44 . 77) 
    (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) 
    (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) (215 . 22) (99 . 23) 
    (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 
    30) (177 . 90) (36 . 91) (37 . 92) (38 . 93) (39 . 94) (40 . 95) (41 . 96)
    (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 
    103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) (63 . 109) 
    (64 . 110) (65 . 111) (66 . 112) (67 . 113) (214 . 31) (105 . 32) (225 . 
    33) (107 . 34) (108 . 35) (234 . 36) (203 . 114) (204 . 115) (205 . 166) 
    (206 . 167) (207 . 118) (226 . 37) (213 . 38) (12 . 16) (16 . 238) 
    (208 . 120) (230 . 39) (3 . 239) (4 . 240) (166 . 241) (17 . 242) (18 . 
    243) (19 . 244) (20 . 245) (21 . 246) (22 . 247) (23 . 248) (24 . 249) 
    (27 . 250) (71 . 251) (239 . 252) (114 . 253) (28 . 254) (29 . 255) 
    (242 . 256) (228 . 257) (143 . 258) (144 . 259) (145 . 260) (146 . 261) 
    (147 . 262) (148 . 263) (149 . 264) (150 . 265) (151 . 266) (211 . 267) 
    (142 . 268) (138 . 269) (139 . 270) (237 . 460)) ((4 . -369) (3 . -369) 
    (1 . -369)) ((4 . -376) (3 . -376) (1 . -376)) ((224 . 1) (223 . 2) 
    (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23
    ) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) 
    (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 
    36) (226 . 37) (213 . 38) (230 . 39) (239 . 459)) ((224 . 1) (223 . 2) 
    (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23
    ) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) 
    (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 
    36) (226 . 37) (213 . 38) (230 . 39) (239 . 458)) ((224 . 1) (223 . 2) 
    (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23
    ) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) 
    (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 
    36) (226 . 37) (213 . 38) (230 . 39) (239 . 457)) ((23 . 456)) ((224 . 1) 
    (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) 
    (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) 
    (12 . 16) (30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75) (43 . 76) 
    (44 . 77) (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) 
    (51 . 84) (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) (217 . 17) 
    (177 . 90) (36 . 91) (37 . 92) (38 . 93) (39 . 94) (40 . 95) (41 . 96) 
    (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 
    103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) (63 . 109) 
    (64 . 110) (65 . 111) (66 . 112) (67 . 113) (216 . 18) (240 . 19) (241 . 
    20) (242 . 21) (203 . 114) (204 . 115) (205 . 166) (206 . 167) (207 . 118)
    (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28
    ) (116 . 29) (235 . 30) (208 . 120) (214 . 31) (105 . 32) (225 . 33) 
    (107 . 34) (108 . 35) (234 . 36) (228 . 257) (226 . 37) (213 . 38) 
    (211 . 267) (230 . 39) (138 . 452) (71 . 453) (239 . 454) (137 . 455)) 
    ((71 . 451)) ((4 . -390) (3 . -390) (1 . -390)) ((4 . -391) (3 . -391) 
    (1 . -391)) ((71 . 450) (106 . 41)) ((4 . -393) (3 . -393) (1 . -393)) 
    ((4 . -394) (3 . -394) (1 . -394)) ((116 . -404)) ((116 . -403)) ((116 . 
    -402)) ((116 . -401)) ((116 . 449)) ((1 . -67)) ((115 . -21) (106 . -21)) 
    ((115 . -19) (106 . -19)) ((13 . 7) (119 . 9) (240 . 586)) ((4 . -392) 
    (3 . -392) (1 . -392)) ((4 . -389) (3 . -389) (1 . -389)) ((1 . -386)) 
    ((1 . -385)) ((71 . 585) (106 . 41)) ((224 . 1) (223 . 2) (222 . 3) 
    (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) 
    (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (217 . 17) 
    (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23) (100 . 24
    ) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 30) 
    (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (226 . 
    37) (213 . 38) (230 . 39) (239 . 583) (136 . 584) (71 . -387)) ((116 . 582
    )) ((115 . 581) (106 . 41)) ((115 . 580) (106 . 41)) ((106 . 41) (115 . 
    579)) ((140 . 578) (224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) 
    (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13
    ) (11 . 14) (32 . 15) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (30 . 71
    ) (33 . 72) (34 . 73) (35 . 74) (42 . 75) (43 . 76) (44 . 77) (45 . 78) 
    (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) (52 . 85) 
    (53 . 86) (55 . 87) (54 . 88) (57 . 89) (215 . 22) (99 . 23) (100 . 24) 
    (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 30) (177 . 
    90) (36 . 91) (37 . 92) (38 . 93) (39 . 94) (40 . 95) (41 . 96) (58 . 97) 
    (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 103) 
    (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) (63 . 109) 
    (64 . 110) (65 . 111) (66 . 112) (67 . 113) (214 . 31) (105 . 32) (225 . 
    33) (107 . 34) (108 . 35) (234 . 36) (203 . 114) (204 . 115) (205 . 166) 
    (206 . 167) (207 . 118) (226 . 37) (213 . 38) (12 . 16) (16 . 238) 
    (208 . 120) (230 . 39) (3 . 239) (4 . 240) (166 . 241) (17 . 242) (18 . 
    243) (19 . 244) (20 . 245) (21 . 246) (22 . 247) (23 . 248) (24 . 249) 
    (27 . 250) (71 . 251) (239 . 252) (114 . 253) (28 . 254) (29 . 255) 
    (242 . 256) (228 . 257) (143 . 258) (144 . 259) (145 . 260) (146 . 261) 
    (147 . 262) (148 . 263) (149 . 264) (150 . 265) (151 . 266) (211 . 267) 
    (142 . 268) (138 . 269) (139 . 414) (113 . -371)) ((4 . -367) (3 . -367) 
    (1 . -367)) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) 
    (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14
    ) (32 . 15) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (215 . 22) 
    (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29
    ) (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) 
    (234 . 36) (226 . 37) (213 . 38) (12 . 16) (16 . 238) (230 . 39) (3 . 239)
    (4 . 240) (166 . 241) (17 . 242) (18 . 243) (19 . 244) (20 . 245) (21 . 
    246) (22 . 247) (23 . 248) (24 . 249) (27 . 250) (71 . 251) (239 . 252) 
    (114 . 253) (28 . 254) (29 . 255) (242 . 256) (143 . 258) (144 . 259) 
    (145 . 260) (146 . 261) (147 . 262) (148 . 263) (149 . 264) (150 . 265) 
    (151 . 266) (142 . 577)) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5
    ) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) 
    (10 . 13) (11 . 14) (32 . 15) (217 . 17) (216 . 18) (240 . 19) (241 . 20) 
    (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28
    ) (116 . 29) (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) 
    (108 . 35) (234 . 36) (226 . 37) (213 . 38) (12 . 16) (16 . 238) (230 . 39
    ) (3 . 239) (4 . 240) (166 . 241) (17 . 242) (18 . 243) (19 . 244) 
    (20 . 245) (21 . 246) (22 . 247) (23 . 248) (24 . 249) (27 . 250) (71 . 
    251) (239 . 252) (114 . 253) (28 . 254) (29 . 255) (242 . 256) (143 . 258)
    (144 . 259) (145 . 260) (146 . 261) (147 . 262) (148 . 263) (149 . 264) 
    (150 . 265) (151 . 266) (142 . 576)) ((4 . -364) (3 . -364) (1 . -364)) 
    ((33 . 72) (34 . 73) (35 . 74) (177 . 90) (36 . 91) (203 . 207) (192 . 574
    ) (12 . 16) (116 . 416) (242 . 356) (103 . 162) (164 . 357) (165 . 417) 
    (182 . 418) (168 . 419) (169 . 575)) ((224 . 1) (223 . 2) (222 . 3) 
    (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) 
    (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (217 . 17) 
    (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23) (100 . 24
    ) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 30) 
    (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (226 . 
    37) (213 . 38) (114 . 341) (230 . 342) (167 . 573)) ((82 . 572) (33 . 72) 
    (34 . 73) (35 . 74) (177 . 90) (36 . 91) (203 . 280) (106 . -277) (71 . 
    -277)) ((33 . 72) (34 . 73) (35 . 74) (177 . 90) (36 . 91) (203 . 207) 
    (192 . 570) (82 . 571) (106 . -275) (71 . -275)) ((112 . 508) (116 . 509) 
    (1 . -280)) ((115 . 569)) ((12 . 16) (116 . 416) (242 . 356) (103 . 162) 
    (164 . 357) (165 . 417) (182 . 533)) ((3 . -448) (4 . -448) (5 . -448) 
    (1 . -448)) ((3 . -85) (4 . -85) (1 . -85)) ((115 . 568)) ((12 . 16) 
    (242 . 273) (179 . 480) (113 . 567)) ((1 . -228)) ((13 . 7) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (240 . 19) (241 . 20) (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26
    ) (103 . 27) (104 . 28) (235 . 30) (105 . 32) (225 . 33) (107 . 34) 
    (108 . 35) (234 . 36) (116 . 29) (226 . 63) (224 . 1) (223 . 2) (222 . 3) 
    (221 . 4) (220 . 5) (219 . 6) (218 . 8) (217 . 17) (216 . 18) (215 . 22) 
    (214 . 31) (213 . 424) (181 . 566)) ((113 . -237) (106 . -237)) ((1 . -231
    )) ((113 . -234) (106 . -234)) ((1 . -192)) ((5 . -200) (1 . -200)) 
    ((5 . -201) (1 . -201)) ((5 . -203) (1 . -203)) ((113 . 565) (30 . 71) 
    (33 . 72) (34 . 73) (35 . 74) (42 . 75) (43 . 76) (44 . 77) (45 . 78) 
    (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) (52 . 85) 
    (53 . 86) (55 . 87) (54 . 88) (57 . 89) (177 . 90) (36 . 91) (39 . 94) 
    (40 . 95) (41 . 96) (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) 
    (198 . 102) (199 . 103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) 
    (62 . 108) (203 . 395) (205 . 396) (206 . 397) (186 . 398) (188 . 399) 
    (189 . 401) (191 . 482) (5 . 400) (190 . 483) (71 . 484)) ((1 . -189)) 
    ((6 . 472) (210 . 564) (5 . -204) (1 . -204)) ((13 . 7) (119 . 9) (7 . 10)
    (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (240 . 19) 
    (241 . 20) (242 . 21) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27
    ) (104 . 28) (235 . 30) (105 . 32) (225 . 33) (107 . 34) (108 . 35) 
    (234 . 36) (116 . 29) (226 . 63) (224 . 1) (223 . 2) (222 . 3) (221 . 4) 
    (220 . 5) (219 . 6) (218 . 8) (217 . 17) (216 . 18) (215 . 22) (214 . 31) 
    (213 . 424) (181 . 563)) ((33 . 72) (34 . 73) (35 . 74) (177 . 90) 
    (36 . 91) (203 . 207) (192 . 561) (83 . 562) (106 . -224) (71 . -224)) 
    ((106 . -223) (71 . -223)) ((106 . -220) (71 . -220)) ((106 . 560) 
    (71 . -206)) ((1 . -210)) ((1 . -212)) ((1 . -214)) ((113 . 559) (30 . 71)
    (33 . 72) (34 . 73) (35 . 74) (42 . 75) (43 . 76) (44 . 77) (45 . 78) 
    (46 . 79) (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) (52 . 85) 
    (53 . 86) (55 . 87) (54 . 88) (57 . 89) (177 . 90) (36 . 91) (39 . 94) 
    (40 . 95) (41 . 96) (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) 
    (198 . 102) (199 . 103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) 
    (62 . 108) (203 . 395) (205 . 396) (206 . 397) (186 . 398) (188 . 399) 
    (189 . 401) (191 . 482) (5 . 400) (190 . 483) (71 . 484)) ((115 . 558)) 
    ((12 . 16) (33 . 72) (34 . 73) (35 . 74) (242 . 377) (177 . 378) (41 . 379
    ) (174 . 380) (175 . 557) (115 . -254) (106 . -254)) ((30 . 71) (42 . 75) 
    (43 . 76) (44 . 77) (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) 
    (50 . 83) (51 . 84) (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) 
    (36 . 91) (37 . 92) (38 . 93) (39 . 94) (40 . 95) (41 . 96) (58 . 97) 
    (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 103) 
    (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) (63 . 109) 
    (64 . 110) (65 . 111) (66 . 112) (67 . 113) (203 . 114) (204 . 115) 
    (205 . 116) (206 . 117) (207 . 118) (13 . 7) (33 . 72) (34 . 73) (35 . 74)
    (185 . 119) (208 . 120) (119 . 9) (12 . 16) (228 . 121) (156 . 122) 
    (177 . 548) (174 . 549) (242 . 550) (240 . 551) (32 . 552) (232 . 553) 
    (171 . 554) (172 . 555) (173 . 556)) ((1 . -322)) ((111 . 547)) ((1 . -325
    )) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) 
    (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) 
    (32 . 15) (12 . 16) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21)
    (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28
    ) (116 . 29) (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) 
    (108 . 35) (234 . 36) (226 . 37) (213 . 38) (230 . 546)) ((1 . -326)) 
    ((1 . -331)) ((111 . 544) (224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5
    ) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) 
    (10 . 13) (11 . 14) (32 . 15) (12 . 16) (217 . 17) (216 . 18) (240 . 19) 
    (241 . 20) (242 . 21) (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26
    ) (103 . 27) (104 . 28) (116 . 29) (235 . 30) (214 . 31) (105 . 32) 
    (225 . 33) (107 . 34) (108 . 35) (234 . 36) (226 . 37) (213 . 38) (230 . 
    545)) ((33 . 72) (34 . 73) (35 . 74) (177 . 90) (36 . 91) (203 . 280) 
    (115 . -312) (106 . -312)) ((64 . 539) (111 . 540) (224 . 1) (223 . 2) 
    (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23
    ) (100 . 24) (101 . 25) (102 . 26) (103 . 541) (104 . 28) (116 . 29) 
    (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 
    36) (226 . 37) (213 . 38) (230 . 542) (39 . 94) (40 . 95) (41 . 96) 
    (205 . 319) (160 . 320) (163 . 543)) ((115 . 534) (12 . 16) (242 . 535) 
    (157 . 536) (161 . 537) (30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75) 
    (43 . 76) (44 . 77) (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) 
    (50 . 83) (51 . 84) (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) 
    (177 . 90) (36 . 91) (37 . 92) (38 . 93) (39 . 94) (40 . 95) (41 . 96) 
    (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 
    103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) (63 . 109) 
    (64 . 110) (65 . 111) (66 . 112) (67 . 113) (203 . 114) (204 . 115) 
    (205 . 166) (206 . 167) (207 . 118) (208 . 120) (228 . 325) (158 . 326) 
    (159 . 327) (162 . 538)) ((30 . 71) (33 . 72) (34 . 73) (35 . 74) (42 . 75
    ) (43 . 76) (44 . 77) (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) 
    (50 . 83) (51 . 84) (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) 
    (177 . 90) (36 . 91) (37 . 92) (38 . 93) (39 . 94) (40 . 95) (41 . 96) 
    (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 
    103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) (63 . 109) 
    (64 . 110) (65 . 111) (66 . 112) (67 . 113) (203 . 114) (204 . 115) 
    (205 . 166) (206 . 167) (207 . 118) (208 . 174) (12 . 16) (116 . 416) 
    (242 . 356) (103 . 162) (164 . 357) (165 . 417) (182 . 533) (1 . -97)) 
    ((106 . -308) (115 . -308)) ((115 . -306)) ((111 . 532)) ((1 . -339)) 
    ((1 . -334)) ((111 . 531)) ((1 . -16)) ((113 . 528) (224 . 1) (223 . 2) 
    (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) 
    (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23
    ) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) 
    (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 
    36) (226 . 37) (213 . 38) (114 . 341) (230 . 342) (167 . 529) (110 . 337) 
    (112 . 338) (152 . 339) (153 . 340) (154 . 530)) ((113 . -346) (106 . -346
    )) ((106 . 526) (113 . 527)) ((1 . -350)) ((1 . -352)) ((111 . 525)) 
    ((1 . -354)) ((1 . -353)) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) 
    (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) 
    (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (217 . 17) (216 . 18) 
    (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23) (100 . 24) (101 . 25
    ) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 30) (214 . 31) 
    (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (226 . 37) (213 . 
    38) (114 . 341) (230 . 342) (167 . 529) (110 . 337) (112 . 338) (152 . 339
    ) (153 . 340) (154 . 530) (113 . 620)) ((1 . -344)) ((1 . -17)) ((113 . 
    -349) (106 . -349)) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) 
    (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13
    ) (11 . 14) (32 . 15) (12 . 16) (217 . 17) (216 . 18) (240 . 19) (241 . 20
    ) (242 . 21) (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) 
    (103 . 27) (104 . 28) (116 . 29) (235 . 30) (214 . 31) (105 . 32) (225 . 
    33) (107 . 34) (108 . 35) (234 . 36) (226 . 37) (213 . 38) (114 . 341) 
    (230 . 342) (167 . 619)) ((1 . -340)) ((1 . -338)) ((115 . 618)) ((1 . 
    -301)) ((115 . -314) (106 . -314)) ((106 . 617) (115 . -313)) ((115 . 616)
    ) ((115 . 615)) ((39 . 94) (40 . 95) (41 . 96) (205 . 319) (160 . 320) 
    (163 . 614)) ((1 . -294)) ((111 . 613) (1 . -31)) ((111 . 612)) ((224 . 1)
    (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) 
    (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) 
    (12 . 16) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22
    ) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (104 . 28) (116 . 29) 
    (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 
    36) (226 . 37) (213 . 38) (230 . 608) (111 . 609) (64 . 610) (103 . 611)) 
    ((1 . -329)) ((111 . 607)) ((111 . 606)) ((1 . -324)) ((116 . -258) 
    (1 . -247)) ((116 . 605)) ((116 . -259) (115 . -266) (106 . -266)) 
    ((115 . -265) (106 . -265)) ((115 . -264) (106 . -264)) ((115 . -263) 
    (106 . -263)) ((115 . -261) (106 . -261)) ((106 . 604) (115 . -260)) 
    ((115 . 603)) ((115 . -253) (106 . -253)) ((3 . -246) (4 . -246) (1 . -246
    )) ((1 . -188)) ((33 . 72) (34 . 73) (35 . 74) (177 . 90) (36 . 91) 
    (203 . 207) (192 . 601) (12 . 16) (116 . 416) (242 . 356) (103 . 162) 
    (164 . 357) (165 . 417) (83 . 488) (182 . 489) (183 . 490) (184 . 602)) 
    ((33 . 72) (34 . 73) (35 . 74) (177 . 90) (36 . 91) (203 . 280) (106 . 
    -225) (71 . -225)) ((13 . 7) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13
    ) (11 . 14) (32 . 15) (12 . 16) (240 . 19) (241 . 20) (242 . 21) (99 . 23)
    (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (235 . 30) (105 . 
    32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (116 . 29) (226 . 63) 
    (224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) (218 . 8) 
    (217 . 17) (216 . 18) (215 . 22) (214 . 31) (213 . 424) (181 . 600)) 
    ((106 . -227) (71 . -227)) ((5 . -205) (1 . -205)) ((1 . -191)) ((113 . 
    -238) (106 . -238)) ((1 . -229)) ((1 . -5)) ((1 . -289)) ((33 . 72) 
    (34 . 73) (35 . 74) (177 . 90) (36 . 91) (203 . 280) (106 . -279) (71 . 
    -279)) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) 
    (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14
    ) (32 . 15) (12 . 16) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 
    21) (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) 
    (104 . 28) (116 . 29) (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 
    34) (108 . 35) (234 . 36) (226 . 37) (213 . 38) (114 . 341) (230 . 342) 
    (167 . 599)) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) 
    (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14
    ) (32 . 15) (12 . 16) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 
    21) (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) 
    (104 . 28) (116 . 29) (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 
    34) (108 . 35) (234 . 36) (226 . 37) (213 . 38) (114 . 341) (230 . 342) 
    (167 . 598)) ((106 . -274) (71 . -274)) ((12 . 16) (116 . 416) (242 . 356)
    (103 . 162) (164 . 357) (165 . 417) (182 . 418) (168 . 419) (169 . 597) 
    (33 . 72) (34 . 73) (35 . 74) (177 . 90) (36 . 91) (203 . 280)) ((106 . 
    -270) (71 . -270)) ((4 . -365) (3 . -365) (1 . -365)) ((4 . -366) (3 . 
    -366) (1 . -366)) ((113 . 596)) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) 
    (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) 
    (9 . 12) (10 . 13) (11 . 14) (32 . 15) (217 . 17) (216 . 18) (240 . 19) 
    (241 . 20) (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27
    ) (104 . 28) (116 . 29) (235 . 30) (214 . 31) (105 . 32) (225 . 33) 
    (107 . 34) (108 . 35) (234 . 36) (226 . 37) (213 . 38) (12 . 16) (16 . 238
    ) (230 . 39) (3 . 239) (4 . 240) (166 . 241) (17 . 242) (18 . 243) 
    (19 . 244) (20 . 245) (21 . 246) (22 . 247) (23 . 248) (24 . 249) (27 . 
    250) (71 . 251) (239 . 252) (114 . 253) (28 . 254) (29 . 255) (242 . 256) 
    (143 . 258) (144 . 259) (145 . 260) (146 . 261) (147 . 262) (148 . 263) 
    (149 . 264) (150 . 265) (151 . 266) (142 . 595)) ((224 . 1) (223 . 2) 
    (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) 
    (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (217 . 17) 
    (216 . 18) (240 . 19) (241 . 20) (215 . 22) (99 . 23) (100 . 24) (101 . 25
    ) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 30) (214 . 31) 
    (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (226 . 37) (213 . 
    38) (12 . 16) (16 . 238) (230 . 39) (3 . 239) (4 . 240) (166 . 241) 
    (17 . 242) (18 . 243) (19 . 244) (20 . 245) (21 . 246) (22 . 247) (23 . 
    248) (24 . 249) (27 . 250) (71 . 251) (239 . 252) (114 . 253) (28 . 254) 
    (29 . 255) (242 . 256) (143 . 258) (144 . 259) (145 . 260) (146 . 261) 
    (147 . 262) (148 . 263) (149 . 264) (150 . 265) (151 . 266) (142 . 594)) 
    ((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) 
    (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) 
    (32 . 15) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (215 . 22) (99 . 23)
    (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 
    30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) 
    (226 . 37) (213 . 38) (12 . 16) (16 . 238) (230 . 39) (3 . 239) (4 . 240) 
    (166 . 241) (17 . 242) (18 . 243) (19 . 244) (20 . 245) (21 . 246) 
    (22 . 247) (23 . 248) (24 . 249) (27 . 250) (71 . 251) (239 . 252) 
    (114 . 253) (28 . 254) (29 . 255) (242 . 256) (143 . 258) (144 . 259) 
    (145 . 260) (146 . 261) (147 . 262) (148 . 263) (149 . 264) (150 . 265) 
    (151 . 266) (142 . 593)) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5
    ) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) 
    (10 . 13) (11 . 14) (32 . 15) (12 . 16) (217 . 17) (216 . 18) (240 . 19) 
    (241 . 20) (242 . 21) (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26
    ) (103 . 27) (104 . 28) (116 . 29) (235 . 30) (214 . 31) (105 . 32) 
    (225 . 33) (107 . 34) (108 . 35) (234 . 36) (226 . 37) (213 . 38) (230 . 
    39) (239 . 592)) ((106 . 41) (71 . -388) (115 . -388)) ((71 . 591)) 
    ((1 . -384)) ((83 . 587) (130 . 588) (134 . 589) (115 . 590)) ((13 . 7) 
    (119 . 9) (112 . 637) (240 . 638) (129 . 639) (1 . -406)) ((106 . 636) 
    (115 . -405) (83 . -405)) ((115 . 632) (83 . 633) (128 . 634) (133 . 635))
    ((1 . -395)) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) 
    (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14
    ) (32 . 15) (12 . 16) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 
    21) (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) 
    (104 . 28) (116 . 29) (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 
    34) (108 . 35) (234 . 36) (226 . 37) (213 . 38) (230 . 39) (239 . 583) 
    (136 . 631) (115 . -387)) ((115 . 630) (106 . 41)) ((4 . -381) (3 . -381) 
    (1 . -381)) ((4 . -380) (3 . -380) (1 . -380)) ((25 . 629) (4 . -378) 
    (3 . -378) (1 . -378)) ((4 . -368) (3 . -368) (1 . -368)) ((106 . -271) 
    (71 . -271)) ((106 . -278) (71 . -278)) ((106 . -276) (71 . -276)) 
    ((106 . -226) (71 . -226)) ((12 . 16) (116 . 416) (242 . 356) (103 . 162) 
    (164 . 357) (165 . 417) (83 . 488) (182 . 489) (183 . 490) (184 . 628) 
    (33 . 72) (34 . 73) (35 . 74) (177 . 90) (36 . 91) (203 . 280)) ((106 . 
    -221) (71 . -221)) ((115 . -256) (106 . -256)) ((30 . 71) (42 . 75) 
    (43 . 76) (44 . 77) (45 . 78) (46 . 79) (47 . 80) (48 . 81) (49 . 82) 
    (50 . 83) (51 . 84) (52 . 85) (53 . 86) (55 . 87) (54 . 88) (57 . 89) 
    (36 . 91) (37 . 92) (38 . 93) (39 . 94) (40 . 95) (41 . 96) (58 . 97) 
    (59 . 98) (60 . 99) (196 . 100) (197 . 101) (198 . 102) (199 . 103) 
    (61 . 104) (200 . 105) (201 . 106) (202 . 107) (62 . 108) (63 . 109) 
    (64 . 110) (65 . 111) (66 . 112) (67 . 113) (203 . 114) (204 . 115) 
    (205 . 116) (206 . 117) (207 . 118) (13 . 7) (33 . 72) (34 . 73) (35 . 74)
    (185 . 119) (208 . 120) (119 . 9) (12 . 16) (228 . 121) (156 . 122) 
    (177 . 548) (174 . 549) (242 . 550) (240 . 551) (32 . 552) (232 . 553) 
    (171 . 627)) ((30 . 71) (42 . 75) (43 . 76) (44 . 77) (45 . 78) (46 . 79) 
    (47 . 80) (48 . 81) (49 . 82) (50 . 83) (51 . 84) (52 . 85) (53 . 86) 
    (55 . 87) (54 . 88) (57 . 89) (36 . 91) (37 . 92) (38 . 93) (39 . 94) 
    (40 . 95) (41 . 96) (58 . 97) (59 . 98) (60 . 99) (196 . 100) (197 . 101) 
    (198 . 102) (199 . 103) (61 . 104) (200 . 105) (201 . 106) (202 . 107) 
    (62 . 108) (63 . 109) (64 . 110) (65 . 111) (66 . 112) (67 . 113) (203 . 
    114) (204 . 115) (205 . 116) (206 . 117) (207 . 118) (13 . 7) (33 . 72) 
    (34 . 73) (35 . 74) (185 . 119) (208 . 120) (119 . 9) (12 . 16) (228 . 121
    ) (156 . 122) (177 . 548) (174 . 549) (242 . 550) (240 . 551) (32 . 552) 
    (232 . 553) (171 . 554) (172 . 555) (173 . 626)) ((1 . -330)) ((1 . -328))
    ((111 . 625)) ((1 . -292)) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) 
    (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) 
    (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (217 . 17) (216 . 18) 
    (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23) (100 . 24) (101 . 25
    ) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 30) (214 . 31) 
    (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (226 . 37) (213 . 
    38) (230 . 624)) ((111 . 623) (1 . -31)) ((1 . -293)) ((1 . -298)) 
    ((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) 
    (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) 
    (32 . 15) (12 . 16) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 21)
    (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28
    ) (116 . 29) (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) 
    (108 . 35) (234 . 36) (226 . 37) (213 . 38) (230 . 622)) ((1 . -299)) 
    ((1 . -300)) ((12 . 16) (242 . 621)) ((1 . -290)) ((113 . -348) (106 . 
    -348)) ((1 . -345)) ((115 . -315) (106 . -315)) ((111 . 656)) ((1 . -297))
    ((111 . 655)) ((1 . -291)) ((115 . 654)) ((115 . -262) (106 . -262)) 
    ((106 . -222) (71 . -222)) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) 
    (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) 
    (9 . 12) (10 . 13) (11 . 14) (32 . 15) (217 . 17) (216 . 18) (240 . 19) 
    (241 . 20) (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27
    ) (104 . 28) (116 . 29) (235 . 30) (214 . 31) (105 . 32) (225 . 33) 
    (107 . 34) (108 . 35) (234 . 36) (226 . 37) (213 . 38) (12 . 16) (16 . 238
    ) (230 . 39) (3 . 239) (4 . 240) (166 . 241) (17 . 242) (18 . 243) 
    (19 . 244) (20 . 245) (21 . 246) (22 . 247) (23 . 248) (24 . 249) (27 . 
    250) (71 . 251) (239 . 252) (114 . 253) (28 . 254) (29 . 255) (242 . 256) 
    (143 . 258) (144 . 259) (145 . 260) (146 . 261) (147 . 262) (148 . 263) 
    (149 . 264) (150 . 265) (151 . 266) (142 . 653)) ((71 . 652)) ((115 . 651)
    ) ((1 . -396)) ((13 . 7) (119 . 9) (112 . 648) (240 . 649) (127 . 650) 
    (1 . -412)) ((106 . 647) (83 . -411) (115 . -411)) ((83 . 643) (126 . 644)
    (132 . 645) (115 . 646)) ((13 . 7) (119 . 9) (112 . 637) (240 . 638) 
    (129 . 642)) ((12 . 16) (242 . 641)) ((116 . 640)) ((1 . -407)) ((12 . 16)
    (242 . 668)) ((111 . 667)) ((1 . -408)) ((13 . 7) (119 . 9) (240 . 666) 
    (1 . -418)) ((106 . 665) (115 . -417) (83 . -417)) ((115 . 661) (83 . 662)
    (125 . 663) (131 . 664)) ((1 . -397)) ((13 . 7) (119 . 9) (112 . 648) 
    (240 . 649) (127 . 660)) ((12 . 16) (242 . 659)) ((116 . 658)) ((1 . -413)
    ) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6) (13 . 7) 
    (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14) 
    (32 . 15) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (215 . 22) (99 . 23)
    (100 . 24) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 
    30) (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) 
    (226 . 37) (213 . 38) (12 . 16) (16 . 238) (230 . 39) (3 . 239) (4 . 240) 
    (166 . 241) (17 . 242) (18 . 243) (19 . 244) (20 . 245) (21 . 246) 
    (22 . 247) (23 . 248) (24 . 249) (27 . 250) (71 . 251) (239 . 252) 
    (114 . 253) (28 . 254) (29 . 255) (242 . 256) (143 . 258) (144 . 259) 
    (145 . 260) (146 . 261) (147 . 262) (148 . 263) (149 . 264) (150 . 265) 
    (151 . 266) (142 . 657)) ((4 . -382) (3 . -382) (1 . -382)) ((4 . -379) 
    (3 . -379) (1 . -379)) ((115 . -267) (106 . -267)) ((1 . -296)) ((1 . -295
    )) ((4 . -383) (3 . -383) (1 . -383)) ((224 . 1) (223 . 2) (222 . 3) 
    (221 . 4) (220 . 5) (219 . 6) (13 . 7) (218 . 8) (119 . 9) (7 . 10) 
    (8 . 11) (9 . 12) (10 . 13) (11 . 14) (32 . 15) (12 . 16) (217 . 17) 
    (216 . 18) (240 . 19) (241 . 20) (242 . 21) (215 . 22) (99 . 23) (100 . 24
    ) (101 . 25) (102 . 26) (103 . 27) (104 . 28) (116 . 29) (235 . 30) 
    (214 . 31) (105 . 32) (225 . 33) (107 . 34) (108 . 35) (234 . 36) (226 . 
    37) (213 . 38) (230 . 39) (239 . 676)) ((111 . 675)) ((1 . -414)) (
    (1 . -398)) ((12 . 16) (242 . 674) (115 . -422) (106 . -422)) ((106 . 673)
    (115 . -421)) ((115 . 672)) ((13 . 7) (119 . 9) (240 . 671)) ((1 . -419)) 
    ((13 . 7) (119 . 9) (240 . 670)) ((115 . 669)) ((1 . -409)) ((116 . 680)) 
    ((1 . -420)) ((1 . -399)) ((12 . 16) (242 . 679)) ((115 . -423) (106 . 
    -423)) ((13 . 7) (119 . 9) (240 . 678)) ((115 . 677) (106 . 41)) ((1 . 
    -415)) ((116 . 682)) ((115 . -424) (106 . -424)) ((12 . 16) (242 . 681)) 
    ((115 . 684)) ((224 . 1) (223 . 2) (222 . 3) (221 . 4) (220 . 5) (219 . 6)
    (13 . 7) (218 . 8) (119 . 9) (7 . 10) (8 . 11) (9 . 12) (10 . 13) (11 . 14
    ) (32 . 15) (12 . 16) (217 . 17) (216 . 18) (240 . 19) (241 . 20) (242 . 
    21) (215 . 22) (99 . 23) (100 . 24) (101 . 25) (102 . 26) (103 . 27) 
    (104 . 28) (116 . 29) (235 . 30) (214 . 31) (105 . 32) (225 . 33) (107 . 
    34) (108 . 35) (234 . 36) (226 . 37) (213 . 38) (230 . 39) (239 . 683)) 
    ((115 . 685) (106 . 41)) ((1 . -410)) ((1 . -416))))

(define c99x-tables
  (list
   (cons 'mtab c99x-mtab)
   (cons 'ntab c99x-ntab)
   (cons 'len-v c99x-len-v)
   (cons 'rto-v c99x-rto-v)
   (cons 'pat-v c99x-pat-v)
   ))

;;; end tables
